> For the complete documentation index, see [llms.txt](https://docs.podplay.app/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.podplay.app/api/venues/areas.md).

# Areas

Specific locations within a region, such as buildings or outdoor sections.

## GET /areas

>

```json
{"openapi":"3.0.0","info":{"title":"PodPlay Inc API","version":"2.0"},"tags":[{"name":"Areas","description":"Specific locations within a region, such as buildings or outdoor sections."}],"servers":[{"url":"/apis/v2","description":"Current Server"}],"security":[{"bearer":[]}],"components":{"securitySchemes":{"bearer":{"scheme":"bearer","bearerFormat":"JWT","type":"http"}},"schemas":{"AreaCollectionDto":{"type":"object","properties":{"items":{"type":"array","items":{"$ref":"#/components/schemas/AreaDto"}},"_total":{"type":"number"},"_links":{"$ref":"#/components/schemas/LinksDto"}},"required":["items","_total","_links"]},"AreaDto":{"type":"object","properties":{"id":{"type":"string"},"slug":{"type":"string"},"displayName":{"type":"string"},"displayNameShort":{"type":"string"},"status":{"type":"string","enum":["NOT_AVAILABLE","AVAILABLE","TEMPORARILY_CLOSED","COMING_SOON"]},"comingSoonText":{"type":"string","description":"Custom text to display when status is COMING_SOON (max 40 chars)"},"address":{"$ref":"#/components/schemas/AreaAddressDto"},"pods":{"$ref":"#/components/schemas/PodCollectionDto"},"availableCoaches":{"nullable":true,"allOf":[{"$ref":"#/components/schemas/AreaCoachAvailabilityCollectionDto"}]},"picture":{"$ref":"#/components/schemas/ImageDto"},"region":{"$ref":"#/components/schemas/RegionDto"},"settings":{"$ref":"#/components/schemas/AreaSettingsCollectionDto"},"replaysPricing":{"description":"Replay pricing configuration (admin only, expandable)","allOf":[{"$ref":"#/components/schemas/ReplayPricingDto"}]},"errors":{"readOnly":true,"nullable":true,"type":"array","items":{"$ref":"#/components/schemas/ValidationErrorDto"}},"_links":{"type":"object"}},"required":["id","slug","displayName","displayNameShort","status","address","picture","region","settings","errors","_links"]},"AreaAddressDto":{"type":"object","properties":{"street":{"type":"string"},"city":{"type":"string"},"borough":{"type":"string"},"zip":{"type":"string"},"displayName":{"type":"string"},"coordinates":{"$ref":"#/components/schemas/AreaAddressCoordinatesDto"}},"required":["street","city","borough","zip","displayName"]},"AreaAddressCoordinatesDto":{"type":"object","properties":{"latitude":{"type":"number"},"longitude":{"type":"number"}},"required":["latitude","longitude"]},"PodCollectionDto":{"type":"object","properties":{"items":{"type":"array","items":{"$ref":"#/components/schemas/PodDto"}},"_total":{"type":"number"},"_links":{"$ref":"#/components/schemas/LinksDto"}},"required":["items","_total","_links"]},"PodDto":{"type":"object","properties":{"id":{"type":"string"},"slug":{"type":"string"},"displayName":{"type":"string"},"displayNameShort":{"type":"string"},"description":{"type":"string"},"address":{"$ref":"#/components/schemas/PodAddressDto"},"timezone":{"type":"string"},"type":{"type":"string","enum":["PRIVATE","MULTI_TABLE","ROBOT"]},"status":{"type":"string","enum":["NOT_AVAILABLE","AVAILABLE","TEMPORARILY_CLOSED","COMING_SOON"]},"sport":{"type":"string","enum":["PICKLEBALL","TABLE_TENNIS","POOL","TENNIS","PADDLE","SQUASH","SOCCER","GOLF","RACING_SIMULATOR","CRICKET","BASEBALL","HOCKEY","PETS","CORN_HOLE","SWIMMING"]},"area":{"type":"object"},"tables":{"nullable":true,"allOf":[{"$ref":"#/components/schemas/TableCollectionDto"}]},"openTime":{"$ref":"#/components/schemas/TimeDto"},"closeTime":{"$ref":"#/components/schemas/TimeDto"},"closedTimeOverrides":{"nullable":true,"allOf":[{"$ref":"#/components/schemas/PodClosedTimeOverrideCollectionDto"}]},"guests":{"$ref":"#/components/schemas/PodGuestsDto"},"rates":{"type":"object"},"settings":{"$ref":"#/components/schemas/PodSettingsCollectionDto"},"errors":{"readOnly":true,"nullable":true,"type":"array","items":{"$ref":"#/components/schemas/ValidationErrorDto"}},"_links":{"type":"object"}},"required":["id","slug","displayName","displayNameShort","description","address","timezone","type","status","sport","area","tables","openTime","closeTime","closedTimeOverrides","guests","rates","settings","errors","_links"]},"PodAddressDto":{"type":"object","properties":{"street":{"type":"string"},"floor":{"type":"string"},"city":{"type":"string"},"zip":{"type":"string"},"displayName":{"type":"string"}},"required":["street","floor","city","zip","displayName"]},"TableCollectionDto":{"type":"object","properties":{"items":{"type":"array","items":{"$ref":"#/components/schemas/TableDto"}},"_total":{"type":"number"},"_links":{"$ref":"#/components/schemas/LinksDto"}},"required":["items","_total","_links"]},"TableDto":{"type":"object","properties":{"id":{"type":"string"},"slug":{"type":"string"},"displayName":{"type":"string"},"displayNameShort":{"type":"string"},"description":{"type":"string"},"type":{"type":"string","enum":["STANDARD","PREMIUM"]},"status":{"type":"string","enum":["AVAILABLE","NOT_AVAILABLE"]},"features":{"type":"array","items":{"type":"string","enum":["REPLAYS","QUICK_REPLAYS","CUSTOM_REPLAYS","ENHANCED_REPLAYS","SCOREBOARD","ROBOT","PRIVATE"]}},"pod":{"type":"object"},"settings":{"$ref":"#/components/schemas/CourtSettingsCollectionDto"},"errors":{"readOnly":true,"nullable":true,"type":"array","items":{"$ref":"#/components/schemas/ValidationErrorDto"}},"_links":{"type":"object"}},"required":["id","slug","displayName","displayNameShort","description","type","status","features","pod","settings","errors","_links"]},"CourtSettingsCollectionDto":{"type":"object","properties":{"items":{"type":"array","items":{"$ref":"#/components/schemas/CourtSettingDto"}},"_total":{"type":"number"},"_links":{"$ref":"#/components/schemas/LinksDto"}},"required":["items","_total","_links"]},"CourtSettingDto":{"type":"object","properties":{"id":{"type":"string","readOnly":true},"value":{"type":"object"}},"required":["id","value"]},"LinksDto":{"type":"object","properties":{"self":{"description":"A `LinkDto` to the resource itself","allOf":[{"$ref":"#/components/schemas/LinkDto"}]}},"required":["self"]},"LinkDto":{"type":"object","properties":{"href":{"type":"string","description":"A URL"}},"required":["href"]},"ValidationErrorDto":{"type":"object","properties":{"code":{"type":"string","readOnly":true},"message":{"type":"string","readOnly":true},"details":{"type":"object","readOnly":true,"nullable":true}},"required":["code","message","details"]},"TimeDto":{"type":"object","properties":{"hours":{"type":"number","minimum":0,"maximum":23},"minutes":{"type":"number","minimum":0,"maximum":59}},"required":["hours","minutes"]},"PodClosedTimeOverrideCollectionDto":{"type":"object","properties":{"items":{"type":"array","items":{"$ref":"#/components/schemas/PodClosedTimeOverrideDto"}},"_total":{"type":"number"},"_links":{"$ref":"#/components/schemas/LinksDto"}},"required":["items","_total","_links"]},"PodClosedTimeOverrideDto":{"type":"object","properties":{"id":{"type":"string","readOnly":true},"days":{"type":"array","items":{"type":"number","maximum":6,"minimum":0}},"from":{"$ref":"#/components/schemas/TimeDto"},"to":{"$ref":"#/components/schemas/TimeDto"}},"required":["id","days","from","to"]},"PodGuestsDto":{"type":"object","properties":{"private":{"$ref":"#/components/schemas/ExtraGuestsDto"},"coach":{"deprecated":true,"allOf":[{"$ref":"#/components/schemas/ExtraGuestsDto"}]}},"required":["private","coach"]},"ExtraGuestsDto":{"type":"object","properties":{"min":{"type":"string"},"max":{"type":"string"}},"required":["min","max"]},"PodSettingsCollectionDto":{"type":"object","properties":{"items":{"type":"array","items":{"$ref":"#/components/schemas/PodSettingDto"}},"_total":{"type":"number"},"_links":{"$ref":"#/components/schemas/LinksDto"}},"required":["items","_total","_links"]},"PodSettingDto":{"type":"object","properties":{"id":{"type":"string","readOnly":true},"value":{"type":"object"}},"required":["id","value"]},"AreaCoachAvailabilityCollectionDto":{"type":"object","properties":{"items":{"type":"array","items":{"$ref":"#/components/schemas/AreaCoachAvailabilityDto"}},"_total":{"type":"number"},"_links":{"$ref":"#/components/schemas/LinksDto"}},"required":["items","_total","_links"]},"AreaCoachAvailabilityDto":{"type":"object","properties":{"id":{"type":"string"},"status":{"type":"string","enum":["AVAILABLE","UNAVAILABLE_EXPIRED","UNAVAILABLE_NOTICE_CUSHION","UNAVAILABLE_SWITCH_CUSHION"]},"startTime":{"format":"date-time","type":"string"},"endTime":{"format":"date-time","type":"string"},"area":{"$ref":"#/components/schemas/ItemRefDto"},"coach":{"$ref":"#/components/schemas/CoachProfileDto"},"_links":{"type":"object"}},"required":["id","status","startTime","endTime","area","coach","_links"]},"ItemRefDto":{"type":"object","properties":{"id":{"type":"string","description":"The unique identifier of the resource"}},"required":["id"]},"CoachProfileDto":{"type":"object","properties":{"id":{"type":"string"},"user":{"$ref":"#/components/schemas/ItemRefDto"},"type":{"type":"string","enum":["REGULAR","GLOBAL_MEMBER","ANGEL_MEMBER","BASIC_MEMBER","AREA_MEMBER","COACH"],"readOnly":true},"membershipArea":{"deprecated":true,"allOf":[{"$ref":"#/components/schemas/ItemRefDto"}]},"firstName":{"type":"string","readOnly":true},"lastName":{"type":"string","readOnly":true},"gender":{"type":"string","readOnly":true},"birthday":{"format":"date-time","type":"string","readOnly":true},"initials":{"type":"string","readOnly":true},"description":{"type":"string"},"picture":{"type":"object","readOnly":true,"nullable":true},"usattRating":{"type":"number","readOnly":true,"nullable":true},"duprProfileUrl":{"type":"string","readOnly":true,"nullable":true},"memberSince":{"format":"date-time","type":"string","readOnly":true},"membershipSubscription":{"type":"object","nullable":true,"readOnly":true,"deprecated":true},"membershipEnrollment":{"type":"object","nullable":true,"readOnly":true},"kids":{"type":"object","nullable":true,"readOnly":true},"_links":{"type":"object"},"tier":{"type":"string","readOnly":true,"deprecated":true},"rate":{"type":"number","deprecated":true},"settings":{"nullable":true,"allOf":[{"$ref":"#/components/schemas/ItemRefDto"}]},"tierSettings":{"readOnly":true,"allOf":[{"$ref":"#/components/schemas/ItemRefDto"}]},"rateSettings":{"readOnly":true,"allOf":[{"$ref":"#/components/schemas/CoachRateDto"}]},"fullName":{"type":"string"},"students":{"$ref":"#/components/schemas/CollectionRefDto"},"slug":{"type":"string"},"coachType":{"type":"string","enum":["ROBOT","HUMAN"]}},"required":["id","user","type","description","memberSince","kids","_links","tier","rate","settings","tierSettings","rateSettings","fullName","students","slug","coachType"]},"CoachRateDto":{"type":"object","properties":{"guests":{"type":"number"},"hourlyRate":{"type":"number"}},"required":["guests","hourlyRate"]},"CollectionRefDto":{"type":"object","properties":{"_total":{"type":"number","description":"The total amount of elements in this collection"}}},"ImageDto":{"type":"object","properties":{"id":{"type":"string"},"small":{"$ref":"#/components/schemas/LinkDto"},"medium":{"$ref":"#/components/schemas/LinkDto"},"large":{"$ref":"#/components/schemas/LinkDto"},"_links":{"$ref":"#/components/schemas/LinksDto"}},"required":["id","small","medium","large","_links"]},"RegionDto":{"type":"object","properties":{"id":{"type":"string"},"slug":{"type":"string"},"displayName":{"type":"string"},"picture":{"$ref":"#/components/schemas/ItemRefDto"},"taxSettings":{"type":"array","items":{"type":"string"}},"settings":{"$ref":"#/components/schemas/RegionSettingsCollectionDto"},"errors":{"readOnly":true,"nullable":true,"type":"array","items":{"$ref":"#/components/schemas/ValidationErrorDto"}},"_links":{"type":"object"}},"required":["id","slug","displayName","taxSettings","settings","errors","_links"]},"RegionSettingsCollectionDto":{"type":"object","properties":{"items":{"type":"array","items":{"$ref":"#/components/schemas/RegionSettingDto"}},"_total":{"type":"number"},"_links":{"type":"object"}},"required":["items","_total","_links"]},"RegionSettingDto":{"type":"object","properties":{"id":{"type":"string","readOnly":true},"value":{"type":"object"}},"required":["id","value"]},"AreaSettingsCollectionDto":{"type":"object","properties":{"items":{"type":"array","items":{"$ref":"#/components/schemas/AreaSettingDto"}},"_total":{"type":"number"},"_links":{"$ref":"#/components/schemas/LinksDto"}},"required":["items","_total","_links"]},"AreaSettingDto":{"type":"object","properties":{"id":{"type":"string","readOnly":true,"enum":["area.timezone","area.onPremiseApiURL","area.onPremiseLocalApiURL","area.onPremiseReplaysEnabled","area.priority","area.stripeAccountId","area.pictureAssetId","area.duprClubId","area.taxSettings","area.membersInvitationCopy","area.membershipDefaultMinTenancyDays","area.membershipDefaultMinCancellationNoticeDaysMonthly","area.membershipDefaultMinCancellationNoticeDaysYearly","feature.showSpotsLeft","feature.allowCreditsForCoaching","area.membershipHeaderHtml","area.membershipBenefitsMarkdown"]},"value":{"type":"object"}},"required":["id","value"]},"ReplayPricingDto":{"type":"object","properties":{"quickReplay":{"$ref":"#/components/schemas/ReplayPricingQuickReplayDto"},"customReplay":{"$ref":"#/components/schemas/ReplayPricingCustomReplayDto"},"enhancedReplay":{"$ref":"#/components/schemas/ReplayPricingEnhancedReplayDto"}}},"ReplayPricingQuickReplayDto":{"type":"object","properties":{"enabled":{"type":"boolean","description":"Whether quick replays are enabled"},"lengthSeconds":{"type":"number","description":"Length in seconds"},"price":{"type":"number","description":"Price in dollars"},"initialFree":{"type":"number","description":"Number of initial free quick replays"}}},"ReplayPricingCustomReplayDto":{"type":"object","properties":{"enabled":{"type":"boolean","description":"Whether custom replays are enabled"},"minDurationSeconds":{"type":"number","description":"Minimum duration in seconds for custom replays"},"maxDurationSeconds":{"type":"number","description":"Maximum duration in seconds for custom replays"},"maxDaysToRequest":{"type":"number","description":"Number of days in the past users can request replays from"},"pricingIntervals":{"description":"Interval-based pricing. Each interval defines a price for a duration range. Takes precedence over pricePerMinute.","type":"array","items":{"$ref":"#/components/schemas/ReplayPricingIntervalDto"}},"pricePerMinute":{"type":"number","description":"Price per minute in dollars (legacy, used when pricingIntervals is not defined)"}}},"ReplayPricingIntervalDto":{"type":"object","properties":{"minDurationSeconds":{"type":"number","description":"Minimum duration in seconds (inclusive)"},"maxDurationSeconds":{"type":"number","description":"Maximum duration in seconds (exclusive). If null, applies to all durations above minDurationSeconds"},"price":{"type":"number","description":"Price in dollars for this interval"}},"required":["minDurationSeconds","price"]},"ReplayPricingEnhancedReplayDto":{"type":"object","properties":{"enabled":{"type":"boolean","description":"Whether enhanced replays are enabled"},"pricePerMinute":{"type":"number","description":"Price per minute in dollars for new enhanced replays"}}}}},"paths":{"/areas":{"get":{"operationId":"AreasController_findAll","parameters":[{"name":"items._links.availableCoaches.startTime","required":false,"in":"query","explode":true,"description":"If not set, defaults to now","schema":{"format":"date-time","type":"string"}},{"name":"items._links.availableCoaches.endTime","required":false,"in":"query","description":"If not set, the response will include up to 1 day ahead since `startTime`","schema":{"format":"date-time","type":"string"}},{"name":"expand","required":false,"in":"query","explode":true,"schema":{"type":"array","items":{"type":"string"}}},{"name":"items._links.availableCoaches.coachId","required":false,"in":"query","explode":true,"schema":{"type":"array","items":{"type":"string"}}},{"name":"areaId","required":false,"in":"query","explode":true,"schema":{"type":"array","items":{"type":"string"}}}],"responses":{"200":{"description":"Returns a `AreaCollection`","content":{"application/json":{"schema":{"$ref":"#/components/schemas/AreaCollectionDto"}}}}},"tags":["Areas"]}}}}
```

## POST /areas

>

```json
{"openapi":"3.0.0","info":{"title":"PodPlay Inc API","version":"2.0"},"tags":[{"name":"Areas","description":"Specific locations within a region, such as buildings or outdoor sections."}],"servers":[{"url":"/apis/v2","description":"Current Server"}],"security":[{"bearer":[]}],"components":{"securitySchemes":{"bearer":{"scheme":"bearer","bearerFormat":"JWT","type":"http"}},"schemas":{"AreaDto":{"type":"object","properties":{"id":{"type":"string"},"slug":{"type":"string"},"displayName":{"type":"string"},"displayNameShort":{"type":"string"},"status":{"type":"string","enum":["NOT_AVAILABLE","AVAILABLE","TEMPORARILY_CLOSED","COMING_SOON"]},"comingSoonText":{"type":"string","description":"Custom text to display when status is COMING_SOON (max 40 chars)"},"address":{"$ref":"#/components/schemas/AreaAddressDto"},"pods":{"$ref":"#/components/schemas/PodCollectionDto"},"availableCoaches":{"nullable":true,"allOf":[{"$ref":"#/components/schemas/AreaCoachAvailabilityCollectionDto"}]},"picture":{"$ref":"#/components/schemas/ImageDto"},"region":{"$ref":"#/components/schemas/RegionDto"},"settings":{"$ref":"#/components/schemas/AreaSettingsCollectionDto"},"replaysPricing":{"description":"Replay pricing configuration (admin only, expandable)","allOf":[{"$ref":"#/components/schemas/ReplayPricingDto"}]},"errors":{"readOnly":true,"nullable":true,"type":"array","items":{"$ref":"#/components/schemas/ValidationErrorDto"}},"_links":{"type":"object"}},"required":["id","slug","displayName","displayNameShort","status","address","picture","region","settings","errors","_links"]},"AreaAddressDto":{"type":"object","properties":{"street":{"type":"string"},"city":{"type":"string"},"borough":{"type":"string"},"zip":{"type":"string"},"displayName":{"type":"string"},"coordinates":{"$ref":"#/components/schemas/AreaAddressCoordinatesDto"}},"required":["street","city","borough","zip","displayName"]},"AreaAddressCoordinatesDto":{"type":"object","properties":{"latitude":{"type":"number"},"longitude":{"type":"number"}},"required":["latitude","longitude"]},"PodCollectionDto":{"type":"object","properties":{"items":{"type":"array","items":{"$ref":"#/components/schemas/PodDto"}},"_total":{"type":"number"},"_links":{"$ref":"#/components/schemas/LinksDto"}},"required":["items","_total","_links"]},"PodDto":{"type":"object","properties":{"id":{"type":"string"},"slug":{"type":"string"},"displayName":{"type":"string"},"displayNameShort":{"type":"string"},"description":{"type":"string"},"address":{"$ref":"#/components/schemas/PodAddressDto"},"timezone":{"type":"string"},"type":{"type":"string","enum":["PRIVATE","MULTI_TABLE","ROBOT"]},"status":{"type":"string","enum":["NOT_AVAILABLE","AVAILABLE","TEMPORARILY_CLOSED","COMING_SOON"]},"sport":{"type":"string","enum":["PICKLEBALL","TABLE_TENNIS","POOL","TENNIS","PADDLE","SQUASH","SOCCER","GOLF","RACING_SIMULATOR","CRICKET","BASEBALL","HOCKEY","PETS","CORN_HOLE","SWIMMING"]},"area":{"type":"object"},"tables":{"nullable":true,"allOf":[{"$ref":"#/components/schemas/TableCollectionDto"}]},"openTime":{"$ref":"#/components/schemas/TimeDto"},"closeTime":{"$ref":"#/components/schemas/TimeDto"},"closedTimeOverrides":{"nullable":true,"allOf":[{"$ref":"#/components/schemas/PodClosedTimeOverrideCollectionDto"}]},"guests":{"$ref":"#/components/schemas/PodGuestsDto"},"rates":{"type":"object"},"settings":{"$ref":"#/components/schemas/PodSettingsCollectionDto"},"errors":{"readOnly":true,"nullable":true,"type":"array","items":{"$ref":"#/components/schemas/ValidationErrorDto"}},"_links":{"type":"object"}},"required":["id","slug","displayName","displayNameShort","description","address","timezone","type","status","sport","area","tables","openTime","closeTime","closedTimeOverrides","guests","rates","settings","errors","_links"]},"PodAddressDto":{"type":"object","properties":{"street":{"type":"string"},"floor":{"type":"string"},"city":{"type":"string"},"zip":{"type":"string"},"displayName":{"type":"string"}},"required":["street","floor","city","zip","displayName"]},"TableCollectionDto":{"type":"object","properties":{"items":{"type":"array","items":{"$ref":"#/components/schemas/TableDto"}},"_total":{"type":"number"},"_links":{"$ref":"#/components/schemas/LinksDto"}},"required":["items","_total","_links"]},"TableDto":{"type":"object","properties":{"id":{"type":"string"},"slug":{"type":"string"},"displayName":{"type":"string"},"displayNameShort":{"type":"string"},"description":{"type":"string"},"type":{"type":"string","enum":["STANDARD","PREMIUM"]},"status":{"type":"string","enum":["AVAILABLE","NOT_AVAILABLE"]},"features":{"type":"array","items":{"type":"string","enum":["REPLAYS","QUICK_REPLAYS","CUSTOM_REPLAYS","ENHANCED_REPLAYS","SCOREBOARD","ROBOT","PRIVATE"]}},"pod":{"type":"object"},"settings":{"$ref":"#/components/schemas/CourtSettingsCollectionDto"},"errors":{"readOnly":true,"nullable":true,"type":"array","items":{"$ref":"#/components/schemas/ValidationErrorDto"}},"_links":{"type":"object"}},"required":["id","slug","displayName","displayNameShort","description","type","status","features","pod","settings","errors","_links"]},"CourtSettingsCollectionDto":{"type":"object","properties":{"items":{"type":"array","items":{"$ref":"#/components/schemas/CourtSettingDto"}},"_total":{"type":"number"},"_links":{"$ref":"#/components/schemas/LinksDto"}},"required":["items","_total","_links"]},"CourtSettingDto":{"type":"object","properties":{"id":{"type":"string","readOnly":true},"value":{"type":"object"}},"required":["id","value"]},"LinksDto":{"type":"object","properties":{"self":{"description":"A `LinkDto` to the resource itself","allOf":[{"$ref":"#/components/schemas/LinkDto"}]}},"required":["self"]},"LinkDto":{"type":"object","properties":{"href":{"type":"string","description":"A URL"}},"required":["href"]},"ValidationErrorDto":{"type":"object","properties":{"code":{"type":"string","readOnly":true},"message":{"type":"string","readOnly":true},"details":{"type":"object","readOnly":true,"nullable":true}},"required":["code","message","details"]},"TimeDto":{"type":"object","properties":{"hours":{"type":"number","minimum":0,"maximum":23},"minutes":{"type":"number","minimum":0,"maximum":59}},"required":["hours","minutes"]},"PodClosedTimeOverrideCollectionDto":{"type":"object","properties":{"items":{"type":"array","items":{"$ref":"#/components/schemas/PodClosedTimeOverrideDto"}},"_total":{"type":"number"},"_links":{"$ref":"#/components/schemas/LinksDto"}},"required":["items","_total","_links"]},"PodClosedTimeOverrideDto":{"type":"object","properties":{"id":{"type":"string","readOnly":true},"days":{"type":"array","items":{"type":"number","maximum":6,"minimum":0}},"from":{"$ref":"#/components/schemas/TimeDto"},"to":{"$ref":"#/components/schemas/TimeDto"}},"required":["id","days","from","to"]},"PodGuestsDto":{"type":"object","properties":{"private":{"$ref":"#/components/schemas/ExtraGuestsDto"},"coach":{"deprecated":true,"allOf":[{"$ref":"#/components/schemas/ExtraGuestsDto"}]}},"required":["private","coach"]},"ExtraGuestsDto":{"type":"object","properties":{"min":{"type":"string"},"max":{"type":"string"}},"required":["min","max"]},"PodSettingsCollectionDto":{"type":"object","properties":{"items":{"type":"array","items":{"$ref":"#/components/schemas/PodSettingDto"}},"_total":{"type":"number"},"_links":{"$ref":"#/components/schemas/LinksDto"}},"required":["items","_total","_links"]},"PodSettingDto":{"type":"object","properties":{"id":{"type":"string","readOnly":true},"value":{"type":"object"}},"required":["id","value"]},"AreaCoachAvailabilityCollectionDto":{"type":"object","properties":{"items":{"type":"array","items":{"$ref":"#/components/schemas/AreaCoachAvailabilityDto"}},"_total":{"type":"number"},"_links":{"$ref":"#/components/schemas/LinksDto"}},"required":["items","_total","_links"]},"AreaCoachAvailabilityDto":{"type":"object","properties":{"id":{"type":"string"},"status":{"type":"string","enum":["AVAILABLE","UNAVAILABLE_EXPIRED","UNAVAILABLE_NOTICE_CUSHION","UNAVAILABLE_SWITCH_CUSHION"]},"startTime":{"format":"date-time","type":"string"},"endTime":{"format":"date-time","type":"string"},"area":{"$ref":"#/components/schemas/ItemRefDto"},"coach":{"$ref":"#/components/schemas/CoachProfileDto"},"_links":{"type":"object"}},"required":["id","status","startTime","endTime","area","coach","_links"]},"ItemRefDto":{"type":"object","properties":{"id":{"type":"string","description":"The unique identifier of the resource"}},"required":["id"]},"CoachProfileDto":{"type":"object","properties":{"id":{"type":"string"},"user":{"$ref":"#/components/schemas/ItemRefDto"},"type":{"type":"string","enum":["REGULAR","GLOBAL_MEMBER","ANGEL_MEMBER","BASIC_MEMBER","AREA_MEMBER","COACH"],"readOnly":true},"membershipArea":{"deprecated":true,"allOf":[{"$ref":"#/components/schemas/ItemRefDto"}]},"firstName":{"type":"string","readOnly":true},"lastName":{"type":"string","readOnly":true},"gender":{"type":"string","readOnly":true},"birthday":{"format":"date-time","type":"string","readOnly":true},"initials":{"type":"string","readOnly":true},"description":{"type":"string"},"picture":{"type":"object","readOnly":true,"nullable":true},"usattRating":{"type":"number","readOnly":true,"nullable":true},"duprProfileUrl":{"type":"string","readOnly":true,"nullable":true},"memberSince":{"format":"date-time","type":"string","readOnly":true},"membershipSubscription":{"type":"object","nullable":true,"readOnly":true,"deprecated":true},"membershipEnrollment":{"type":"object","nullable":true,"readOnly":true},"kids":{"type":"object","nullable":true,"readOnly":true},"_links":{"type":"object"},"tier":{"type":"string","readOnly":true,"deprecated":true},"rate":{"type":"number","deprecated":true},"settings":{"nullable":true,"allOf":[{"$ref":"#/components/schemas/ItemRefDto"}]},"tierSettings":{"readOnly":true,"allOf":[{"$ref":"#/components/schemas/ItemRefDto"}]},"rateSettings":{"readOnly":true,"allOf":[{"$ref":"#/components/schemas/CoachRateDto"}]},"fullName":{"type":"string"},"students":{"$ref":"#/components/schemas/CollectionRefDto"},"slug":{"type":"string"},"coachType":{"type":"string","enum":["ROBOT","HUMAN"]}},"required":["id","user","type","description","memberSince","kids","_links","tier","rate","settings","tierSettings","rateSettings","fullName","students","slug","coachType"]},"CoachRateDto":{"type":"object","properties":{"guests":{"type":"number"},"hourlyRate":{"type":"number"}},"required":["guests","hourlyRate"]},"CollectionRefDto":{"type":"object","properties":{"_total":{"type":"number","description":"The total amount of elements in this collection"}}},"ImageDto":{"type":"object","properties":{"id":{"type":"string"},"small":{"$ref":"#/components/schemas/LinkDto"},"medium":{"$ref":"#/components/schemas/LinkDto"},"large":{"$ref":"#/components/schemas/LinkDto"},"_links":{"$ref":"#/components/schemas/LinksDto"}},"required":["id","small","medium","large","_links"]},"RegionDto":{"type":"object","properties":{"id":{"type":"string"},"slug":{"type":"string"},"displayName":{"type":"string"},"picture":{"$ref":"#/components/schemas/ItemRefDto"},"taxSettings":{"type":"array","items":{"type":"string"}},"settings":{"$ref":"#/components/schemas/RegionSettingsCollectionDto"},"errors":{"readOnly":true,"nullable":true,"type":"array","items":{"$ref":"#/components/schemas/ValidationErrorDto"}},"_links":{"type":"object"}},"required":["id","slug","displayName","taxSettings","settings","errors","_links"]},"RegionSettingsCollectionDto":{"type":"object","properties":{"items":{"type":"array","items":{"$ref":"#/components/schemas/RegionSettingDto"}},"_total":{"type":"number"},"_links":{"type":"object"}},"required":["items","_total","_links"]},"RegionSettingDto":{"type":"object","properties":{"id":{"type":"string","readOnly":true},"value":{"type":"object"}},"required":["id","value"]},"AreaSettingsCollectionDto":{"type":"object","properties":{"items":{"type":"array","items":{"$ref":"#/components/schemas/AreaSettingDto"}},"_total":{"type":"number"},"_links":{"$ref":"#/components/schemas/LinksDto"}},"required":["items","_total","_links"]},"AreaSettingDto":{"type":"object","properties":{"id":{"type":"string","readOnly":true,"enum":["area.timezone","area.onPremiseApiURL","area.onPremiseLocalApiURL","area.onPremiseReplaysEnabled","area.priority","area.stripeAccountId","area.pictureAssetId","area.duprClubId","area.taxSettings","area.membersInvitationCopy","area.membershipDefaultMinTenancyDays","area.membershipDefaultMinCancellationNoticeDaysMonthly","area.membershipDefaultMinCancellationNoticeDaysYearly","feature.showSpotsLeft","feature.allowCreditsForCoaching","area.membershipHeaderHtml","area.membershipBenefitsMarkdown"]},"value":{"type":"object"}},"required":["id","value"]},"ReplayPricingDto":{"type":"object","properties":{"quickReplay":{"$ref":"#/components/schemas/ReplayPricingQuickReplayDto"},"customReplay":{"$ref":"#/components/schemas/ReplayPricingCustomReplayDto"},"enhancedReplay":{"$ref":"#/components/schemas/ReplayPricingEnhancedReplayDto"}}},"ReplayPricingQuickReplayDto":{"type":"object","properties":{"enabled":{"type":"boolean","description":"Whether quick replays are enabled"},"lengthSeconds":{"type":"number","description":"Length in seconds"},"price":{"type":"number","description":"Price in dollars"},"initialFree":{"type":"number","description":"Number of initial free quick replays"}}},"ReplayPricingCustomReplayDto":{"type":"object","properties":{"enabled":{"type":"boolean","description":"Whether custom replays are enabled"},"minDurationSeconds":{"type":"number","description":"Minimum duration in seconds for custom replays"},"maxDurationSeconds":{"type":"number","description":"Maximum duration in seconds for custom replays"},"maxDaysToRequest":{"type":"number","description":"Number of days in the past users can request replays from"},"pricingIntervals":{"description":"Interval-based pricing. Each interval defines a price for a duration range. Takes precedence over pricePerMinute.","type":"array","items":{"$ref":"#/components/schemas/ReplayPricingIntervalDto"}},"pricePerMinute":{"type":"number","description":"Price per minute in dollars (legacy, used when pricingIntervals is not defined)"}}},"ReplayPricingIntervalDto":{"type":"object","properties":{"minDurationSeconds":{"type":"number","description":"Minimum duration in seconds (inclusive)"},"maxDurationSeconds":{"type":"number","description":"Maximum duration in seconds (exclusive). If null, applies to all durations above minDurationSeconds"},"price":{"type":"number","description":"Price in dollars for this interval"}},"required":["minDurationSeconds","price"]},"ReplayPricingEnhancedReplayDto":{"type":"object","properties":{"enabled":{"type":"boolean","description":"Whether enhanced replays are enabled"},"pricePerMinute":{"type":"number","description":"Price per minute in dollars for new enhanced replays"}}}}},"paths":{"/areas":{"post":{"operationId":"AreasController_create","parameters":[],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/AreaDto"}}}},"responses":{"201":{"description":"Returns an `Area`","content":{"application/json":{"schema":{"$ref":"#/components/schemas/AreaDto"}}}}},"tags":["Areas"]}}}}
```

## GET /areas/closest

>

```json
{"openapi":"3.0.0","info":{"title":"PodPlay Inc API","version":"2.0"},"tags":[{"name":"Areas","description":"Specific locations within a region, such as buildings or outdoor sections."}],"servers":[{"url":"/apis/v2","description":"Current Server"}],"security":[{"bearer":[]}],"components":{"securitySchemes":{"bearer":{"scheme":"bearer","bearerFormat":"JWT","type":"http"}},"schemas":{"AreaDto":{"type":"object","properties":{"id":{"type":"string"},"slug":{"type":"string"},"displayName":{"type":"string"},"displayNameShort":{"type":"string"},"status":{"type":"string","enum":["NOT_AVAILABLE","AVAILABLE","TEMPORARILY_CLOSED","COMING_SOON"]},"comingSoonText":{"type":"string","description":"Custom text to display when status is COMING_SOON (max 40 chars)"},"address":{"$ref":"#/components/schemas/AreaAddressDto"},"pods":{"$ref":"#/components/schemas/PodCollectionDto"},"availableCoaches":{"nullable":true,"allOf":[{"$ref":"#/components/schemas/AreaCoachAvailabilityCollectionDto"}]},"picture":{"$ref":"#/components/schemas/ImageDto"},"region":{"$ref":"#/components/schemas/RegionDto"},"settings":{"$ref":"#/components/schemas/AreaSettingsCollectionDto"},"replaysPricing":{"description":"Replay pricing configuration (admin only, expandable)","allOf":[{"$ref":"#/components/schemas/ReplayPricingDto"}]},"errors":{"readOnly":true,"nullable":true,"type":"array","items":{"$ref":"#/components/schemas/ValidationErrorDto"}},"_links":{"type":"object"}},"required":["id","slug","displayName","displayNameShort","status","address","picture","region","settings","errors","_links"]},"AreaAddressDto":{"type":"object","properties":{"street":{"type":"string"},"city":{"type":"string"},"borough":{"type":"string"},"zip":{"type":"string"},"displayName":{"type":"string"},"coordinates":{"$ref":"#/components/schemas/AreaAddressCoordinatesDto"}},"required":["street","city","borough","zip","displayName"]},"AreaAddressCoordinatesDto":{"type":"object","properties":{"latitude":{"type":"number"},"longitude":{"type":"number"}},"required":["latitude","longitude"]},"PodCollectionDto":{"type":"object","properties":{"items":{"type":"array","items":{"$ref":"#/components/schemas/PodDto"}},"_total":{"type":"number"},"_links":{"$ref":"#/components/schemas/LinksDto"}},"required":["items","_total","_links"]},"PodDto":{"type":"object","properties":{"id":{"type":"string"},"slug":{"type":"string"},"displayName":{"type":"string"},"displayNameShort":{"type":"string"},"description":{"type":"string"},"address":{"$ref":"#/components/schemas/PodAddressDto"},"timezone":{"type":"string"},"type":{"type":"string","enum":["PRIVATE","MULTI_TABLE","ROBOT"]},"status":{"type":"string","enum":["NOT_AVAILABLE","AVAILABLE","TEMPORARILY_CLOSED","COMING_SOON"]},"sport":{"type":"string","enum":["PICKLEBALL","TABLE_TENNIS","POOL","TENNIS","PADDLE","SQUASH","SOCCER","GOLF","RACING_SIMULATOR","CRICKET","BASEBALL","HOCKEY","PETS","CORN_HOLE","SWIMMING"]},"area":{"type":"object"},"tables":{"nullable":true,"allOf":[{"$ref":"#/components/schemas/TableCollectionDto"}]},"openTime":{"$ref":"#/components/schemas/TimeDto"},"closeTime":{"$ref":"#/components/schemas/TimeDto"},"closedTimeOverrides":{"nullable":true,"allOf":[{"$ref":"#/components/schemas/PodClosedTimeOverrideCollectionDto"}]},"guests":{"$ref":"#/components/schemas/PodGuestsDto"},"rates":{"type":"object"},"settings":{"$ref":"#/components/schemas/PodSettingsCollectionDto"},"errors":{"readOnly":true,"nullable":true,"type":"array","items":{"$ref":"#/components/schemas/ValidationErrorDto"}},"_links":{"type":"object"}},"required":["id","slug","displayName","displayNameShort","description","address","timezone","type","status","sport","area","tables","openTime","closeTime","closedTimeOverrides","guests","rates","settings","errors","_links"]},"PodAddressDto":{"type":"object","properties":{"street":{"type":"string"},"floor":{"type":"string"},"city":{"type":"string"},"zip":{"type":"string"},"displayName":{"type":"string"}},"required":["street","floor","city","zip","displayName"]},"TableCollectionDto":{"type":"object","properties":{"items":{"type":"array","items":{"$ref":"#/components/schemas/TableDto"}},"_total":{"type":"number"},"_links":{"$ref":"#/components/schemas/LinksDto"}},"required":["items","_total","_links"]},"TableDto":{"type":"object","properties":{"id":{"type":"string"},"slug":{"type":"string"},"displayName":{"type":"string"},"displayNameShort":{"type":"string"},"description":{"type":"string"},"type":{"type":"string","enum":["STANDARD","PREMIUM"]},"status":{"type":"string","enum":["AVAILABLE","NOT_AVAILABLE"]},"features":{"type":"array","items":{"type":"string","enum":["REPLAYS","QUICK_REPLAYS","CUSTOM_REPLAYS","ENHANCED_REPLAYS","SCOREBOARD","ROBOT","PRIVATE"]}},"pod":{"type":"object"},"settings":{"$ref":"#/components/schemas/CourtSettingsCollectionDto"},"errors":{"readOnly":true,"nullable":true,"type":"array","items":{"$ref":"#/components/schemas/ValidationErrorDto"}},"_links":{"type":"object"}},"required":["id","slug","displayName","displayNameShort","description","type","status","features","pod","settings","errors","_links"]},"CourtSettingsCollectionDto":{"type":"object","properties":{"items":{"type":"array","items":{"$ref":"#/components/schemas/CourtSettingDto"}},"_total":{"type":"number"},"_links":{"$ref":"#/components/schemas/LinksDto"}},"required":["items","_total","_links"]},"CourtSettingDto":{"type":"object","properties":{"id":{"type":"string","readOnly":true},"value":{"type":"object"}},"required":["id","value"]},"LinksDto":{"type":"object","properties":{"self":{"description":"A `LinkDto` to the resource itself","allOf":[{"$ref":"#/components/schemas/LinkDto"}]}},"required":["self"]},"LinkDto":{"type":"object","properties":{"href":{"type":"string","description":"A URL"}},"required":["href"]},"ValidationErrorDto":{"type":"object","properties":{"code":{"type":"string","readOnly":true},"message":{"type":"string","readOnly":true},"details":{"type":"object","readOnly":true,"nullable":true}},"required":["code","message","details"]},"TimeDto":{"type":"object","properties":{"hours":{"type":"number","minimum":0,"maximum":23},"minutes":{"type":"number","minimum":0,"maximum":59}},"required":["hours","minutes"]},"PodClosedTimeOverrideCollectionDto":{"type":"object","properties":{"items":{"type":"array","items":{"$ref":"#/components/schemas/PodClosedTimeOverrideDto"}},"_total":{"type":"number"},"_links":{"$ref":"#/components/schemas/LinksDto"}},"required":["items","_total","_links"]},"PodClosedTimeOverrideDto":{"type":"object","properties":{"id":{"type":"string","readOnly":true},"days":{"type":"array","items":{"type":"number","maximum":6,"minimum":0}},"from":{"$ref":"#/components/schemas/TimeDto"},"to":{"$ref":"#/components/schemas/TimeDto"}},"required":["id","days","from","to"]},"PodGuestsDto":{"type":"object","properties":{"private":{"$ref":"#/components/schemas/ExtraGuestsDto"},"coach":{"deprecated":true,"allOf":[{"$ref":"#/components/schemas/ExtraGuestsDto"}]}},"required":["private","coach"]},"ExtraGuestsDto":{"type":"object","properties":{"min":{"type":"string"},"max":{"type":"string"}},"required":["min","max"]},"PodSettingsCollectionDto":{"type":"object","properties":{"items":{"type":"array","items":{"$ref":"#/components/schemas/PodSettingDto"}},"_total":{"type":"number"},"_links":{"$ref":"#/components/schemas/LinksDto"}},"required":["items","_total","_links"]},"PodSettingDto":{"type":"object","properties":{"id":{"type":"string","readOnly":true},"value":{"type":"object"}},"required":["id","value"]},"AreaCoachAvailabilityCollectionDto":{"type":"object","properties":{"items":{"type":"array","items":{"$ref":"#/components/schemas/AreaCoachAvailabilityDto"}},"_total":{"type":"number"},"_links":{"$ref":"#/components/schemas/LinksDto"}},"required":["items","_total","_links"]},"AreaCoachAvailabilityDto":{"type":"object","properties":{"id":{"type":"string"},"status":{"type":"string","enum":["AVAILABLE","UNAVAILABLE_EXPIRED","UNAVAILABLE_NOTICE_CUSHION","UNAVAILABLE_SWITCH_CUSHION"]},"startTime":{"format":"date-time","type":"string"},"endTime":{"format":"date-time","type":"string"},"area":{"$ref":"#/components/schemas/ItemRefDto"},"coach":{"$ref":"#/components/schemas/CoachProfileDto"},"_links":{"type":"object"}},"required":["id","status","startTime","endTime","area","coach","_links"]},"ItemRefDto":{"type":"object","properties":{"id":{"type":"string","description":"The unique identifier of the resource"}},"required":["id"]},"CoachProfileDto":{"type":"object","properties":{"id":{"type":"string"},"user":{"$ref":"#/components/schemas/ItemRefDto"},"type":{"type":"string","enum":["REGULAR","GLOBAL_MEMBER","ANGEL_MEMBER","BASIC_MEMBER","AREA_MEMBER","COACH"],"readOnly":true},"membershipArea":{"deprecated":true,"allOf":[{"$ref":"#/components/schemas/ItemRefDto"}]},"firstName":{"type":"string","readOnly":true},"lastName":{"type":"string","readOnly":true},"gender":{"type":"string","readOnly":true},"birthday":{"format":"date-time","type":"string","readOnly":true},"initials":{"type":"string","readOnly":true},"description":{"type":"string"},"picture":{"type":"object","readOnly":true,"nullable":true},"usattRating":{"type":"number","readOnly":true,"nullable":true},"duprProfileUrl":{"type":"string","readOnly":true,"nullable":true},"memberSince":{"format":"date-time","type":"string","readOnly":true},"membershipSubscription":{"type":"object","nullable":true,"readOnly":true,"deprecated":true},"membershipEnrollment":{"type":"object","nullable":true,"readOnly":true},"kids":{"type":"object","nullable":true,"readOnly":true},"_links":{"type":"object"},"tier":{"type":"string","readOnly":true,"deprecated":true},"rate":{"type":"number","deprecated":true},"settings":{"nullable":true,"allOf":[{"$ref":"#/components/schemas/ItemRefDto"}]},"tierSettings":{"readOnly":true,"allOf":[{"$ref":"#/components/schemas/ItemRefDto"}]},"rateSettings":{"readOnly":true,"allOf":[{"$ref":"#/components/schemas/CoachRateDto"}]},"fullName":{"type":"string"},"students":{"$ref":"#/components/schemas/CollectionRefDto"},"slug":{"type":"string"},"coachType":{"type":"string","enum":["ROBOT","HUMAN"]}},"required":["id","user","type","description","memberSince","kids","_links","tier","rate","settings","tierSettings","rateSettings","fullName","students","slug","coachType"]},"CoachRateDto":{"type":"object","properties":{"guests":{"type":"number"},"hourlyRate":{"type":"number"}},"required":["guests","hourlyRate"]},"CollectionRefDto":{"type":"object","properties":{"_total":{"type":"number","description":"The total amount of elements in this collection"}}},"ImageDto":{"type":"object","properties":{"id":{"type":"string"},"small":{"$ref":"#/components/schemas/LinkDto"},"medium":{"$ref":"#/components/schemas/LinkDto"},"large":{"$ref":"#/components/schemas/LinkDto"},"_links":{"$ref":"#/components/schemas/LinksDto"}},"required":["id","small","medium","large","_links"]},"RegionDto":{"type":"object","properties":{"id":{"type":"string"},"slug":{"type":"string"},"displayName":{"type":"string"},"picture":{"$ref":"#/components/schemas/ItemRefDto"},"taxSettings":{"type":"array","items":{"type":"string"}},"settings":{"$ref":"#/components/schemas/RegionSettingsCollectionDto"},"errors":{"readOnly":true,"nullable":true,"type":"array","items":{"$ref":"#/components/schemas/ValidationErrorDto"}},"_links":{"type":"object"}},"required":["id","slug","displayName","taxSettings","settings","errors","_links"]},"RegionSettingsCollectionDto":{"type":"object","properties":{"items":{"type":"array","items":{"$ref":"#/components/schemas/RegionSettingDto"}},"_total":{"type":"number"},"_links":{"type":"object"}},"required":["items","_total","_links"]},"RegionSettingDto":{"type":"object","properties":{"id":{"type":"string","readOnly":true},"value":{"type":"object"}},"required":["id","value"]},"AreaSettingsCollectionDto":{"type":"object","properties":{"items":{"type":"array","items":{"$ref":"#/components/schemas/AreaSettingDto"}},"_total":{"type":"number"},"_links":{"$ref":"#/components/schemas/LinksDto"}},"required":["items","_total","_links"]},"AreaSettingDto":{"type":"object","properties":{"id":{"type":"string","readOnly":true,"enum":["area.timezone","area.onPremiseApiURL","area.onPremiseLocalApiURL","area.onPremiseReplaysEnabled","area.priority","area.stripeAccountId","area.pictureAssetId","area.duprClubId","area.taxSettings","area.membersInvitationCopy","area.membershipDefaultMinTenancyDays","area.membershipDefaultMinCancellationNoticeDaysMonthly","area.membershipDefaultMinCancellationNoticeDaysYearly","feature.showSpotsLeft","feature.allowCreditsForCoaching","area.membershipHeaderHtml","area.membershipBenefitsMarkdown"]},"value":{"type":"object"}},"required":["id","value"]},"ReplayPricingDto":{"type":"object","properties":{"quickReplay":{"$ref":"#/components/schemas/ReplayPricingQuickReplayDto"},"customReplay":{"$ref":"#/components/schemas/ReplayPricingCustomReplayDto"},"enhancedReplay":{"$ref":"#/components/schemas/ReplayPricingEnhancedReplayDto"}}},"ReplayPricingQuickReplayDto":{"type":"object","properties":{"enabled":{"type":"boolean","description":"Whether quick replays are enabled"},"lengthSeconds":{"type":"number","description":"Length in seconds"},"price":{"type":"number","description":"Price in dollars"},"initialFree":{"type":"number","description":"Number of initial free quick replays"}}},"ReplayPricingCustomReplayDto":{"type":"object","properties":{"enabled":{"type":"boolean","description":"Whether custom replays are enabled"},"minDurationSeconds":{"type":"number","description":"Minimum duration in seconds for custom replays"},"maxDurationSeconds":{"type":"number","description":"Maximum duration in seconds for custom replays"},"maxDaysToRequest":{"type":"number","description":"Number of days in the past users can request replays from"},"pricingIntervals":{"description":"Interval-based pricing. Each interval defines a price for a duration range. Takes precedence over pricePerMinute.","type":"array","items":{"$ref":"#/components/schemas/ReplayPricingIntervalDto"}},"pricePerMinute":{"type":"number","description":"Price per minute in dollars (legacy, used when pricingIntervals is not defined)"}}},"ReplayPricingIntervalDto":{"type":"object","properties":{"minDurationSeconds":{"type":"number","description":"Minimum duration in seconds (inclusive)"},"maxDurationSeconds":{"type":"number","description":"Maximum duration in seconds (exclusive). If null, applies to all durations above minDurationSeconds"},"price":{"type":"number","description":"Price in dollars for this interval"}},"required":["minDurationSeconds","price"]},"ReplayPricingEnhancedReplayDto":{"type":"object","properties":{"enabled":{"type":"boolean","description":"Whether enhanced replays are enabled"},"pricePerMinute":{"type":"number","description":"Price per minute in dollars for new enhanced replays"}}}}},"paths":{"/areas/closest":{"get":{"operationId":"AreasController_findClosestArea","parameters":[{"name":"expand","required":false,"in":"query","explode":true,"schema":{"type":"array","items":{"type":"string"}}}],"responses":{"200":{"description":"Returns a `Area`","content":{"application/json":{"schema":{"$ref":"#/components/schemas/AreaDto"}}}},"404":{"description":"No Areas found within 200mi"}},"tags":["Areas"]}}}}
```

## GET /areas/{areaId}

>

```json
{"openapi":"3.0.0","info":{"title":"PodPlay Inc API","version":"2.0"},"tags":[{"name":"Areas","description":"Specific locations within a region, such as buildings or outdoor sections."}],"servers":[{"url":"/apis/v2","description":"Current Server"}],"security":[{"bearer":[]}],"components":{"securitySchemes":{"bearer":{"scheme":"bearer","bearerFormat":"JWT","type":"http"}},"schemas":{"AreaDto":{"type":"object","properties":{"id":{"type":"string"},"slug":{"type":"string"},"displayName":{"type":"string"},"displayNameShort":{"type":"string"},"status":{"type":"string","enum":["NOT_AVAILABLE","AVAILABLE","TEMPORARILY_CLOSED","COMING_SOON"]},"comingSoonText":{"type":"string","description":"Custom text to display when status is COMING_SOON (max 40 chars)"},"address":{"$ref":"#/components/schemas/AreaAddressDto"},"pods":{"$ref":"#/components/schemas/PodCollectionDto"},"availableCoaches":{"nullable":true,"allOf":[{"$ref":"#/components/schemas/AreaCoachAvailabilityCollectionDto"}]},"picture":{"$ref":"#/components/schemas/ImageDto"},"region":{"$ref":"#/components/schemas/RegionDto"},"settings":{"$ref":"#/components/schemas/AreaSettingsCollectionDto"},"replaysPricing":{"description":"Replay pricing configuration (admin only, expandable)","allOf":[{"$ref":"#/components/schemas/ReplayPricingDto"}]},"errors":{"readOnly":true,"nullable":true,"type":"array","items":{"$ref":"#/components/schemas/ValidationErrorDto"}},"_links":{"type":"object"}},"required":["id","slug","displayName","displayNameShort","status","address","picture","region","settings","errors","_links"]},"AreaAddressDto":{"type":"object","properties":{"street":{"type":"string"},"city":{"type":"string"},"borough":{"type":"string"},"zip":{"type":"string"},"displayName":{"type":"string"},"coordinates":{"$ref":"#/components/schemas/AreaAddressCoordinatesDto"}},"required":["street","city","borough","zip","displayName"]},"AreaAddressCoordinatesDto":{"type":"object","properties":{"latitude":{"type":"number"},"longitude":{"type":"number"}},"required":["latitude","longitude"]},"PodCollectionDto":{"type":"object","properties":{"items":{"type":"array","items":{"$ref":"#/components/schemas/PodDto"}},"_total":{"type":"number"},"_links":{"$ref":"#/components/schemas/LinksDto"}},"required":["items","_total","_links"]},"PodDto":{"type":"object","properties":{"id":{"type":"string"},"slug":{"type":"string"},"displayName":{"type":"string"},"displayNameShort":{"type":"string"},"description":{"type":"string"},"address":{"$ref":"#/components/schemas/PodAddressDto"},"timezone":{"type":"string"},"type":{"type":"string","enum":["PRIVATE","MULTI_TABLE","ROBOT"]},"status":{"type":"string","enum":["NOT_AVAILABLE","AVAILABLE","TEMPORARILY_CLOSED","COMING_SOON"]},"sport":{"type":"string","enum":["PICKLEBALL","TABLE_TENNIS","POOL","TENNIS","PADDLE","SQUASH","SOCCER","GOLF","RACING_SIMULATOR","CRICKET","BASEBALL","HOCKEY","PETS","CORN_HOLE","SWIMMING"]},"area":{"type":"object"},"tables":{"nullable":true,"allOf":[{"$ref":"#/components/schemas/TableCollectionDto"}]},"openTime":{"$ref":"#/components/schemas/TimeDto"},"closeTime":{"$ref":"#/components/schemas/TimeDto"},"closedTimeOverrides":{"nullable":true,"allOf":[{"$ref":"#/components/schemas/PodClosedTimeOverrideCollectionDto"}]},"guests":{"$ref":"#/components/schemas/PodGuestsDto"},"rates":{"type":"object"},"settings":{"$ref":"#/components/schemas/PodSettingsCollectionDto"},"errors":{"readOnly":true,"nullable":true,"type":"array","items":{"$ref":"#/components/schemas/ValidationErrorDto"}},"_links":{"type":"object"}},"required":["id","slug","displayName","displayNameShort","description","address","timezone","type","status","sport","area","tables","openTime","closeTime","closedTimeOverrides","guests","rates","settings","errors","_links"]},"PodAddressDto":{"type":"object","properties":{"street":{"type":"string"},"floor":{"type":"string"},"city":{"type":"string"},"zip":{"type":"string"},"displayName":{"type":"string"}},"required":["street","floor","city","zip","displayName"]},"TableCollectionDto":{"type":"object","properties":{"items":{"type":"array","items":{"$ref":"#/components/schemas/TableDto"}},"_total":{"type":"number"},"_links":{"$ref":"#/components/schemas/LinksDto"}},"required":["items","_total","_links"]},"TableDto":{"type":"object","properties":{"id":{"type":"string"},"slug":{"type":"string"},"displayName":{"type":"string"},"displayNameShort":{"type":"string"},"description":{"type":"string"},"type":{"type":"string","enum":["STANDARD","PREMIUM"]},"status":{"type":"string","enum":["AVAILABLE","NOT_AVAILABLE"]},"features":{"type":"array","items":{"type":"string","enum":["REPLAYS","QUICK_REPLAYS","CUSTOM_REPLAYS","ENHANCED_REPLAYS","SCOREBOARD","ROBOT","PRIVATE"]}},"pod":{"type":"object"},"settings":{"$ref":"#/components/schemas/CourtSettingsCollectionDto"},"errors":{"readOnly":true,"nullable":true,"type":"array","items":{"$ref":"#/components/schemas/ValidationErrorDto"}},"_links":{"type":"object"}},"required":["id","slug","displayName","displayNameShort","description","type","status","features","pod","settings","errors","_links"]},"CourtSettingsCollectionDto":{"type":"object","properties":{"items":{"type":"array","items":{"$ref":"#/components/schemas/CourtSettingDto"}},"_total":{"type":"number"},"_links":{"$ref":"#/components/schemas/LinksDto"}},"required":["items","_total","_links"]},"CourtSettingDto":{"type":"object","properties":{"id":{"type":"string","readOnly":true},"value":{"type":"object"}},"required":["id","value"]},"LinksDto":{"type":"object","properties":{"self":{"description":"A `LinkDto` to the resource itself","allOf":[{"$ref":"#/components/schemas/LinkDto"}]}},"required":["self"]},"LinkDto":{"type":"object","properties":{"href":{"type":"string","description":"A URL"}},"required":["href"]},"ValidationErrorDto":{"type":"object","properties":{"code":{"type":"string","readOnly":true},"message":{"type":"string","readOnly":true},"details":{"type":"object","readOnly":true,"nullable":true}},"required":["code","message","details"]},"TimeDto":{"type":"object","properties":{"hours":{"type":"number","minimum":0,"maximum":23},"minutes":{"type":"number","minimum":0,"maximum":59}},"required":["hours","minutes"]},"PodClosedTimeOverrideCollectionDto":{"type":"object","properties":{"items":{"type":"array","items":{"$ref":"#/components/schemas/PodClosedTimeOverrideDto"}},"_total":{"type":"number"},"_links":{"$ref":"#/components/schemas/LinksDto"}},"required":["items","_total","_links"]},"PodClosedTimeOverrideDto":{"type":"object","properties":{"id":{"type":"string","readOnly":true},"days":{"type":"array","items":{"type":"number","maximum":6,"minimum":0}},"from":{"$ref":"#/components/schemas/TimeDto"},"to":{"$ref":"#/components/schemas/TimeDto"}},"required":["id","days","from","to"]},"PodGuestsDto":{"type":"object","properties":{"private":{"$ref":"#/components/schemas/ExtraGuestsDto"},"coach":{"deprecated":true,"allOf":[{"$ref":"#/components/schemas/ExtraGuestsDto"}]}},"required":["private","coach"]},"ExtraGuestsDto":{"type":"object","properties":{"min":{"type":"string"},"max":{"type":"string"}},"required":["min","max"]},"PodSettingsCollectionDto":{"type":"object","properties":{"items":{"type":"array","items":{"$ref":"#/components/schemas/PodSettingDto"}},"_total":{"type":"number"},"_links":{"$ref":"#/components/schemas/LinksDto"}},"required":["items","_total","_links"]},"PodSettingDto":{"type":"object","properties":{"id":{"type":"string","readOnly":true},"value":{"type":"object"}},"required":["id","value"]},"AreaCoachAvailabilityCollectionDto":{"type":"object","properties":{"items":{"type":"array","items":{"$ref":"#/components/schemas/AreaCoachAvailabilityDto"}},"_total":{"type":"number"},"_links":{"$ref":"#/components/schemas/LinksDto"}},"required":["items","_total","_links"]},"AreaCoachAvailabilityDto":{"type":"object","properties":{"id":{"type":"string"},"status":{"type":"string","enum":["AVAILABLE","UNAVAILABLE_EXPIRED","UNAVAILABLE_NOTICE_CUSHION","UNAVAILABLE_SWITCH_CUSHION"]},"startTime":{"format":"date-time","type":"string"},"endTime":{"format":"date-time","type":"string"},"area":{"$ref":"#/components/schemas/ItemRefDto"},"coach":{"$ref":"#/components/schemas/CoachProfileDto"},"_links":{"type":"object"}},"required":["id","status","startTime","endTime","area","coach","_links"]},"ItemRefDto":{"type":"object","properties":{"id":{"type":"string","description":"The unique identifier of the resource"}},"required":["id"]},"CoachProfileDto":{"type":"object","properties":{"id":{"type":"string"},"user":{"$ref":"#/components/schemas/ItemRefDto"},"type":{"type":"string","enum":["REGULAR","GLOBAL_MEMBER","ANGEL_MEMBER","BASIC_MEMBER","AREA_MEMBER","COACH"],"readOnly":true},"membershipArea":{"deprecated":true,"allOf":[{"$ref":"#/components/schemas/ItemRefDto"}]},"firstName":{"type":"string","readOnly":true},"lastName":{"type":"string","readOnly":true},"gender":{"type":"string","readOnly":true},"birthday":{"format":"date-time","type":"string","readOnly":true},"initials":{"type":"string","readOnly":true},"description":{"type":"string"},"picture":{"type":"object","readOnly":true,"nullable":true},"usattRating":{"type":"number","readOnly":true,"nullable":true},"duprProfileUrl":{"type":"string","readOnly":true,"nullable":true},"memberSince":{"format":"date-time","type":"string","readOnly":true},"membershipSubscription":{"type":"object","nullable":true,"readOnly":true,"deprecated":true},"membershipEnrollment":{"type":"object","nullable":true,"readOnly":true},"kids":{"type":"object","nullable":true,"readOnly":true},"_links":{"type":"object"},"tier":{"type":"string","readOnly":true,"deprecated":true},"rate":{"type":"number","deprecated":true},"settings":{"nullable":true,"allOf":[{"$ref":"#/components/schemas/ItemRefDto"}]},"tierSettings":{"readOnly":true,"allOf":[{"$ref":"#/components/schemas/ItemRefDto"}]},"rateSettings":{"readOnly":true,"allOf":[{"$ref":"#/components/schemas/CoachRateDto"}]},"fullName":{"type":"string"},"students":{"$ref":"#/components/schemas/CollectionRefDto"},"slug":{"type":"string"},"coachType":{"type":"string","enum":["ROBOT","HUMAN"]}},"required":["id","user","type","description","memberSince","kids","_links","tier","rate","settings","tierSettings","rateSettings","fullName","students","slug","coachType"]},"CoachRateDto":{"type":"object","properties":{"guests":{"type":"number"},"hourlyRate":{"type":"number"}},"required":["guests","hourlyRate"]},"CollectionRefDto":{"type":"object","properties":{"_total":{"type":"number","description":"The total amount of elements in this collection"}}},"ImageDto":{"type":"object","properties":{"id":{"type":"string"},"small":{"$ref":"#/components/schemas/LinkDto"},"medium":{"$ref":"#/components/schemas/LinkDto"},"large":{"$ref":"#/components/schemas/LinkDto"},"_links":{"$ref":"#/components/schemas/LinksDto"}},"required":["id","small","medium","large","_links"]},"RegionDto":{"type":"object","properties":{"id":{"type":"string"},"slug":{"type":"string"},"displayName":{"type":"string"},"picture":{"$ref":"#/components/schemas/ItemRefDto"},"taxSettings":{"type":"array","items":{"type":"string"}},"settings":{"$ref":"#/components/schemas/RegionSettingsCollectionDto"},"errors":{"readOnly":true,"nullable":true,"type":"array","items":{"$ref":"#/components/schemas/ValidationErrorDto"}},"_links":{"type":"object"}},"required":["id","slug","displayName","taxSettings","settings","errors","_links"]},"RegionSettingsCollectionDto":{"type":"object","properties":{"items":{"type":"array","items":{"$ref":"#/components/schemas/RegionSettingDto"}},"_total":{"type":"number"},"_links":{"type":"object"}},"required":["items","_total","_links"]},"RegionSettingDto":{"type":"object","properties":{"id":{"type":"string","readOnly":true},"value":{"type":"object"}},"required":["id","value"]},"AreaSettingsCollectionDto":{"type":"object","properties":{"items":{"type":"array","items":{"$ref":"#/components/schemas/AreaSettingDto"}},"_total":{"type":"number"},"_links":{"$ref":"#/components/schemas/LinksDto"}},"required":["items","_total","_links"]},"AreaSettingDto":{"type":"object","properties":{"id":{"type":"string","readOnly":true,"enum":["area.timezone","area.onPremiseApiURL","area.onPremiseLocalApiURL","area.onPremiseReplaysEnabled","area.priority","area.stripeAccountId","area.pictureAssetId","area.duprClubId","area.taxSettings","area.membersInvitationCopy","area.membershipDefaultMinTenancyDays","area.membershipDefaultMinCancellationNoticeDaysMonthly","area.membershipDefaultMinCancellationNoticeDaysYearly","feature.showSpotsLeft","feature.allowCreditsForCoaching","area.membershipHeaderHtml","area.membershipBenefitsMarkdown"]},"value":{"type":"object"}},"required":["id","value"]},"ReplayPricingDto":{"type":"object","properties":{"quickReplay":{"$ref":"#/components/schemas/ReplayPricingQuickReplayDto"},"customReplay":{"$ref":"#/components/schemas/ReplayPricingCustomReplayDto"},"enhancedReplay":{"$ref":"#/components/schemas/ReplayPricingEnhancedReplayDto"}}},"ReplayPricingQuickReplayDto":{"type":"object","properties":{"enabled":{"type":"boolean","description":"Whether quick replays are enabled"},"lengthSeconds":{"type":"number","description":"Length in seconds"},"price":{"type":"number","description":"Price in dollars"},"initialFree":{"type":"number","description":"Number of initial free quick replays"}}},"ReplayPricingCustomReplayDto":{"type":"object","properties":{"enabled":{"type":"boolean","description":"Whether custom replays are enabled"},"minDurationSeconds":{"type":"number","description":"Minimum duration in seconds for custom replays"},"maxDurationSeconds":{"type":"number","description":"Maximum duration in seconds for custom replays"},"maxDaysToRequest":{"type":"number","description":"Number of days in the past users can request replays from"},"pricingIntervals":{"description":"Interval-based pricing. Each interval defines a price for a duration range. Takes precedence over pricePerMinute.","type":"array","items":{"$ref":"#/components/schemas/ReplayPricingIntervalDto"}},"pricePerMinute":{"type":"number","description":"Price per minute in dollars (legacy, used when pricingIntervals is not defined)"}}},"ReplayPricingIntervalDto":{"type":"object","properties":{"minDurationSeconds":{"type":"number","description":"Minimum duration in seconds (inclusive)"},"maxDurationSeconds":{"type":"number","description":"Maximum duration in seconds (exclusive). If null, applies to all durations above minDurationSeconds"},"price":{"type":"number","description":"Price in dollars for this interval"}},"required":["minDurationSeconds","price"]},"ReplayPricingEnhancedReplayDto":{"type":"object","properties":{"enabled":{"type":"boolean","description":"Whether enhanced replays are enabled"},"pricePerMinute":{"type":"number","description":"Price per minute in dollars for new enhanced replays"}}}}},"paths":{"/areas/{areaId}":{"get":{"operationId":"AreasController_find","parameters":[{"name":"expand","required":false,"in":"query","explode":true,"schema":{"type":"array","items":{"type":"string"}}},{"name":"areaId","required":true,"in":"path","schema":{"type":"string"}}],"responses":{"200":{"description":"Returns an `Area`","content":{"application/json":{"schema":{"$ref":"#/components/schemas/AreaDto"}}}}},"tags":["Areas"]}}}}
```

## DELETE /areas/{areaId}

>

```json
{"openapi":"3.0.0","info":{"title":"PodPlay Inc API","version":"2.0"},"tags":[{"name":"Areas","description":"Specific locations within a region, such as buildings or outdoor sections."}],"servers":[{"url":"/apis/v2","description":"Current Server"}],"security":[{"bearer":[]}],"components":{"securitySchemes":{"bearer":{"scheme":"bearer","bearerFormat":"JWT","type":"http"}},"schemas":{"AreaDto":{"type":"object","properties":{"id":{"type":"string"},"slug":{"type":"string"},"displayName":{"type":"string"},"displayNameShort":{"type":"string"},"status":{"type":"string","enum":["NOT_AVAILABLE","AVAILABLE","TEMPORARILY_CLOSED","COMING_SOON"]},"comingSoonText":{"type":"string","description":"Custom text to display when status is COMING_SOON (max 40 chars)"},"address":{"$ref":"#/components/schemas/AreaAddressDto"},"pods":{"$ref":"#/components/schemas/PodCollectionDto"},"availableCoaches":{"nullable":true,"allOf":[{"$ref":"#/components/schemas/AreaCoachAvailabilityCollectionDto"}]},"picture":{"$ref":"#/components/schemas/ImageDto"},"region":{"$ref":"#/components/schemas/RegionDto"},"settings":{"$ref":"#/components/schemas/AreaSettingsCollectionDto"},"replaysPricing":{"description":"Replay pricing configuration (admin only, expandable)","allOf":[{"$ref":"#/components/schemas/ReplayPricingDto"}]},"errors":{"readOnly":true,"nullable":true,"type":"array","items":{"$ref":"#/components/schemas/ValidationErrorDto"}},"_links":{"type":"object"}},"required":["id","slug","displayName","displayNameShort","status","address","picture","region","settings","errors","_links"]},"AreaAddressDto":{"type":"object","properties":{"street":{"type":"string"},"city":{"type":"string"},"borough":{"type":"string"},"zip":{"type":"string"},"displayName":{"type":"string"},"coordinates":{"$ref":"#/components/schemas/AreaAddressCoordinatesDto"}},"required":["street","city","borough","zip","displayName"]},"AreaAddressCoordinatesDto":{"type":"object","properties":{"latitude":{"type":"number"},"longitude":{"type":"number"}},"required":["latitude","longitude"]},"PodCollectionDto":{"type":"object","properties":{"items":{"type":"array","items":{"$ref":"#/components/schemas/PodDto"}},"_total":{"type":"number"},"_links":{"$ref":"#/components/schemas/LinksDto"}},"required":["items","_total","_links"]},"PodDto":{"type":"object","properties":{"id":{"type":"string"},"slug":{"type":"string"},"displayName":{"type":"string"},"displayNameShort":{"type":"string"},"description":{"type":"string"},"address":{"$ref":"#/components/schemas/PodAddressDto"},"timezone":{"type":"string"},"type":{"type":"string","enum":["PRIVATE","MULTI_TABLE","ROBOT"]},"status":{"type":"string","enum":["NOT_AVAILABLE","AVAILABLE","TEMPORARILY_CLOSED","COMING_SOON"]},"sport":{"type":"string","enum":["PICKLEBALL","TABLE_TENNIS","POOL","TENNIS","PADDLE","SQUASH","SOCCER","GOLF","RACING_SIMULATOR","CRICKET","BASEBALL","HOCKEY","PETS","CORN_HOLE","SWIMMING"]},"area":{"type":"object"},"tables":{"nullable":true,"allOf":[{"$ref":"#/components/schemas/TableCollectionDto"}]},"openTime":{"$ref":"#/components/schemas/TimeDto"},"closeTime":{"$ref":"#/components/schemas/TimeDto"},"closedTimeOverrides":{"nullable":true,"allOf":[{"$ref":"#/components/schemas/PodClosedTimeOverrideCollectionDto"}]},"guests":{"$ref":"#/components/schemas/PodGuestsDto"},"rates":{"type":"object"},"settings":{"$ref":"#/components/schemas/PodSettingsCollectionDto"},"errors":{"readOnly":true,"nullable":true,"type":"array","items":{"$ref":"#/components/schemas/ValidationErrorDto"}},"_links":{"type":"object"}},"required":["id","slug","displayName","displayNameShort","description","address","timezone","type","status","sport","area","tables","openTime","closeTime","closedTimeOverrides","guests","rates","settings","errors","_links"]},"PodAddressDto":{"type":"object","properties":{"street":{"type":"string"},"floor":{"type":"string"},"city":{"type":"string"},"zip":{"type":"string"},"displayName":{"type":"string"}},"required":["street","floor","city","zip","displayName"]},"TableCollectionDto":{"type":"object","properties":{"items":{"type":"array","items":{"$ref":"#/components/schemas/TableDto"}},"_total":{"type":"number"},"_links":{"$ref":"#/components/schemas/LinksDto"}},"required":["items","_total","_links"]},"TableDto":{"type":"object","properties":{"id":{"type":"string"},"slug":{"type":"string"},"displayName":{"type":"string"},"displayNameShort":{"type":"string"},"description":{"type":"string"},"type":{"type":"string","enum":["STANDARD","PREMIUM"]},"status":{"type":"string","enum":["AVAILABLE","NOT_AVAILABLE"]},"features":{"type":"array","items":{"type":"string","enum":["REPLAYS","QUICK_REPLAYS","CUSTOM_REPLAYS","ENHANCED_REPLAYS","SCOREBOARD","ROBOT","PRIVATE"]}},"pod":{"type":"object"},"settings":{"$ref":"#/components/schemas/CourtSettingsCollectionDto"},"errors":{"readOnly":true,"nullable":true,"type":"array","items":{"$ref":"#/components/schemas/ValidationErrorDto"}},"_links":{"type":"object"}},"required":["id","slug","displayName","displayNameShort","description","type","status","features","pod","settings","errors","_links"]},"CourtSettingsCollectionDto":{"type":"object","properties":{"items":{"type":"array","items":{"$ref":"#/components/schemas/CourtSettingDto"}},"_total":{"type":"number"},"_links":{"$ref":"#/components/schemas/LinksDto"}},"required":["items","_total","_links"]},"CourtSettingDto":{"type":"object","properties":{"id":{"type":"string","readOnly":true},"value":{"type":"object"}},"required":["id","value"]},"LinksDto":{"type":"object","properties":{"self":{"description":"A `LinkDto` to the resource itself","allOf":[{"$ref":"#/components/schemas/LinkDto"}]}},"required":["self"]},"LinkDto":{"type":"object","properties":{"href":{"type":"string","description":"A URL"}},"required":["href"]},"ValidationErrorDto":{"type":"object","properties":{"code":{"type":"string","readOnly":true},"message":{"type":"string","readOnly":true},"details":{"type":"object","readOnly":true,"nullable":true}},"required":["code","message","details"]},"TimeDto":{"type":"object","properties":{"hours":{"type":"number","minimum":0,"maximum":23},"minutes":{"type":"number","minimum":0,"maximum":59}},"required":["hours","minutes"]},"PodClosedTimeOverrideCollectionDto":{"type":"object","properties":{"items":{"type":"array","items":{"$ref":"#/components/schemas/PodClosedTimeOverrideDto"}},"_total":{"type":"number"},"_links":{"$ref":"#/components/schemas/LinksDto"}},"required":["items","_total","_links"]},"PodClosedTimeOverrideDto":{"type":"object","properties":{"id":{"type":"string","readOnly":true},"days":{"type":"array","items":{"type":"number","maximum":6,"minimum":0}},"from":{"$ref":"#/components/schemas/TimeDto"},"to":{"$ref":"#/components/schemas/TimeDto"}},"required":["id","days","from","to"]},"PodGuestsDto":{"type":"object","properties":{"private":{"$ref":"#/components/schemas/ExtraGuestsDto"},"coach":{"deprecated":true,"allOf":[{"$ref":"#/components/schemas/ExtraGuestsDto"}]}},"required":["private","coach"]},"ExtraGuestsDto":{"type":"object","properties":{"min":{"type":"string"},"max":{"type":"string"}},"required":["min","max"]},"PodSettingsCollectionDto":{"type":"object","properties":{"items":{"type":"array","items":{"$ref":"#/components/schemas/PodSettingDto"}},"_total":{"type":"number"},"_links":{"$ref":"#/components/schemas/LinksDto"}},"required":["items","_total","_links"]},"PodSettingDto":{"type":"object","properties":{"id":{"type":"string","readOnly":true},"value":{"type":"object"}},"required":["id","value"]},"AreaCoachAvailabilityCollectionDto":{"type":"object","properties":{"items":{"type":"array","items":{"$ref":"#/components/schemas/AreaCoachAvailabilityDto"}},"_total":{"type":"number"},"_links":{"$ref":"#/components/schemas/LinksDto"}},"required":["items","_total","_links"]},"AreaCoachAvailabilityDto":{"type":"object","properties":{"id":{"type":"string"},"status":{"type":"string","enum":["AVAILABLE","UNAVAILABLE_EXPIRED","UNAVAILABLE_NOTICE_CUSHION","UNAVAILABLE_SWITCH_CUSHION"]},"startTime":{"format":"date-time","type":"string"},"endTime":{"format":"date-time","type":"string"},"area":{"$ref":"#/components/schemas/ItemRefDto"},"coach":{"$ref":"#/components/schemas/CoachProfileDto"},"_links":{"type":"object"}},"required":["id","status","startTime","endTime","area","coach","_links"]},"ItemRefDto":{"type":"object","properties":{"id":{"type":"string","description":"The unique identifier of the resource"}},"required":["id"]},"CoachProfileDto":{"type":"object","properties":{"id":{"type":"string"},"user":{"$ref":"#/components/schemas/ItemRefDto"},"type":{"type":"string","enum":["REGULAR","GLOBAL_MEMBER","ANGEL_MEMBER","BASIC_MEMBER","AREA_MEMBER","COACH"],"readOnly":true},"membershipArea":{"deprecated":true,"allOf":[{"$ref":"#/components/schemas/ItemRefDto"}]},"firstName":{"type":"string","readOnly":true},"lastName":{"type":"string","readOnly":true},"gender":{"type":"string","readOnly":true},"birthday":{"format":"date-time","type":"string","readOnly":true},"initials":{"type":"string","readOnly":true},"description":{"type":"string"},"picture":{"type":"object","readOnly":true,"nullable":true},"usattRating":{"type":"number","readOnly":true,"nullable":true},"duprProfileUrl":{"type":"string","readOnly":true,"nullable":true},"memberSince":{"format":"date-time","type":"string","readOnly":true},"membershipSubscription":{"type":"object","nullable":true,"readOnly":true,"deprecated":true},"membershipEnrollment":{"type":"object","nullable":true,"readOnly":true},"kids":{"type":"object","nullable":true,"readOnly":true},"_links":{"type":"object"},"tier":{"type":"string","readOnly":true,"deprecated":true},"rate":{"type":"number","deprecated":true},"settings":{"nullable":true,"allOf":[{"$ref":"#/components/schemas/ItemRefDto"}]},"tierSettings":{"readOnly":true,"allOf":[{"$ref":"#/components/schemas/ItemRefDto"}]},"rateSettings":{"readOnly":true,"allOf":[{"$ref":"#/components/schemas/CoachRateDto"}]},"fullName":{"type":"string"},"students":{"$ref":"#/components/schemas/CollectionRefDto"},"slug":{"type":"string"},"coachType":{"type":"string","enum":["ROBOT","HUMAN"]}},"required":["id","user","type","description","memberSince","kids","_links","tier","rate","settings","tierSettings","rateSettings","fullName","students","slug","coachType"]},"CoachRateDto":{"type":"object","properties":{"guests":{"type":"number"},"hourlyRate":{"type":"number"}},"required":["guests","hourlyRate"]},"CollectionRefDto":{"type":"object","properties":{"_total":{"type":"number","description":"The total amount of elements in this collection"}}},"ImageDto":{"type":"object","properties":{"id":{"type":"string"},"small":{"$ref":"#/components/schemas/LinkDto"},"medium":{"$ref":"#/components/schemas/LinkDto"},"large":{"$ref":"#/components/schemas/LinkDto"},"_links":{"$ref":"#/components/schemas/LinksDto"}},"required":["id","small","medium","large","_links"]},"RegionDto":{"type":"object","properties":{"id":{"type":"string"},"slug":{"type":"string"},"displayName":{"type":"string"},"picture":{"$ref":"#/components/schemas/ItemRefDto"},"taxSettings":{"type":"array","items":{"type":"string"}},"settings":{"$ref":"#/components/schemas/RegionSettingsCollectionDto"},"errors":{"readOnly":true,"nullable":true,"type":"array","items":{"$ref":"#/components/schemas/ValidationErrorDto"}},"_links":{"type":"object"}},"required":["id","slug","displayName","taxSettings","settings","errors","_links"]},"RegionSettingsCollectionDto":{"type":"object","properties":{"items":{"type":"array","items":{"$ref":"#/components/schemas/RegionSettingDto"}},"_total":{"type":"number"},"_links":{"type":"object"}},"required":["items","_total","_links"]},"RegionSettingDto":{"type":"object","properties":{"id":{"type":"string","readOnly":true},"value":{"type":"object"}},"required":["id","value"]},"AreaSettingsCollectionDto":{"type":"object","properties":{"items":{"type":"array","items":{"$ref":"#/components/schemas/AreaSettingDto"}},"_total":{"type":"number"},"_links":{"$ref":"#/components/schemas/LinksDto"}},"required":["items","_total","_links"]},"AreaSettingDto":{"type":"object","properties":{"id":{"type":"string","readOnly":true,"enum":["area.timezone","area.onPremiseApiURL","area.onPremiseLocalApiURL","area.onPremiseReplaysEnabled","area.priority","area.stripeAccountId","area.pictureAssetId","area.duprClubId","area.taxSettings","area.membersInvitationCopy","area.membershipDefaultMinTenancyDays","area.membershipDefaultMinCancellationNoticeDaysMonthly","area.membershipDefaultMinCancellationNoticeDaysYearly","feature.showSpotsLeft","feature.allowCreditsForCoaching","area.membershipHeaderHtml","area.membershipBenefitsMarkdown"]},"value":{"type":"object"}},"required":["id","value"]},"ReplayPricingDto":{"type":"object","properties":{"quickReplay":{"$ref":"#/components/schemas/ReplayPricingQuickReplayDto"},"customReplay":{"$ref":"#/components/schemas/ReplayPricingCustomReplayDto"},"enhancedReplay":{"$ref":"#/components/schemas/ReplayPricingEnhancedReplayDto"}}},"ReplayPricingQuickReplayDto":{"type":"object","properties":{"enabled":{"type":"boolean","description":"Whether quick replays are enabled"},"lengthSeconds":{"type":"number","description":"Length in seconds"},"price":{"type":"number","description":"Price in dollars"},"initialFree":{"type":"number","description":"Number of initial free quick replays"}}},"ReplayPricingCustomReplayDto":{"type":"object","properties":{"enabled":{"type":"boolean","description":"Whether custom replays are enabled"},"minDurationSeconds":{"type":"number","description":"Minimum duration in seconds for custom replays"},"maxDurationSeconds":{"type":"number","description":"Maximum duration in seconds for custom replays"},"maxDaysToRequest":{"type":"number","description":"Number of days in the past users can request replays from"},"pricingIntervals":{"description":"Interval-based pricing. Each interval defines a price for a duration range. Takes precedence over pricePerMinute.","type":"array","items":{"$ref":"#/components/schemas/ReplayPricingIntervalDto"}},"pricePerMinute":{"type":"number","description":"Price per minute in dollars (legacy, used when pricingIntervals is not defined)"}}},"ReplayPricingIntervalDto":{"type":"object","properties":{"minDurationSeconds":{"type":"number","description":"Minimum duration in seconds (inclusive)"},"maxDurationSeconds":{"type":"number","description":"Maximum duration in seconds (exclusive). If null, applies to all durations above minDurationSeconds"},"price":{"type":"number","description":"Price in dollars for this interval"}},"required":["minDurationSeconds","price"]},"ReplayPricingEnhancedReplayDto":{"type":"object","properties":{"enabled":{"type":"boolean","description":"Whether enhanced replays are enabled"},"pricePerMinute":{"type":"number","description":"Price per minute in dollars for new enhanced replays"}}}}},"paths":{"/areas/{areaId}":{"delete":{"operationId":"AreasController_deleteArea","parameters":[{"name":"expand","required":false,"in":"query","explode":true,"schema":{"type":"array","items":{"type":"string"}}},{"name":"areaId","required":true,"in":"path","schema":{"type":"string"}}],"responses":{"200":{"description":"Returns an `Area`","content":{"application/json":{"schema":{"$ref":"#/components/schemas/AreaDto"}}}}},"tags":["Areas"]}}}}
```

## PATCH /areas/{areaId}

>

```json
{"openapi":"3.0.0","info":{"title":"PodPlay Inc API","version":"2.0"},"tags":[{"name":"Areas","description":"Specific locations within a region, such as buildings or outdoor sections."}],"servers":[{"url":"/apis/v2","description":"Current Server"}],"security":[{"bearer":[]}],"components":{"securitySchemes":{"bearer":{"scheme":"bearer","bearerFormat":"JWT","type":"http"}},"schemas":{"AreaDto":{"type":"object","properties":{"id":{"type":"string"},"slug":{"type":"string"},"displayName":{"type":"string"},"displayNameShort":{"type":"string"},"status":{"type":"string","enum":["NOT_AVAILABLE","AVAILABLE","TEMPORARILY_CLOSED","COMING_SOON"]},"comingSoonText":{"type":"string","description":"Custom text to display when status is COMING_SOON (max 40 chars)"},"address":{"$ref":"#/components/schemas/AreaAddressDto"},"pods":{"$ref":"#/components/schemas/PodCollectionDto"},"availableCoaches":{"nullable":true,"allOf":[{"$ref":"#/components/schemas/AreaCoachAvailabilityCollectionDto"}]},"picture":{"$ref":"#/components/schemas/ImageDto"},"region":{"$ref":"#/components/schemas/RegionDto"},"settings":{"$ref":"#/components/schemas/AreaSettingsCollectionDto"},"replaysPricing":{"description":"Replay pricing configuration (admin only, expandable)","allOf":[{"$ref":"#/components/schemas/ReplayPricingDto"}]},"errors":{"readOnly":true,"nullable":true,"type":"array","items":{"$ref":"#/components/schemas/ValidationErrorDto"}},"_links":{"type":"object"}},"required":["id","slug","displayName","displayNameShort","status","address","picture","region","settings","errors","_links"]},"AreaAddressDto":{"type":"object","properties":{"street":{"type":"string"},"city":{"type":"string"},"borough":{"type":"string"},"zip":{"type":"string"},"displayName":{"type":"string"},"coordinates":{"$ref":"#/components/schemas/AreaAddressCoordinatesDto"}},"required":["street","city","borough","zip","displayName"]},"AreaAddressCoordinatesDto":{"type":"object","properties":{"latitude":{"type":"number"},"longitude":{"type":"number"}},"required":["latitude","longitude"]},"PodCollectionDto":{"type":"object","properties":{"items":{"type":"array","items":{"$ref":"#/components/schemas/PodDto"}},"_total":{"type":"number"},"_links":{"$ref":"#/components/schemas/LinksDto"}},"required":["items","_total","_links"]},"PodDto":{"type":"object","properties":{"id":{"type":"string"},"slug":{"type":"string"},"displayName":{"type":"string"},"displayNameShort":{"type":"string"},"description":{"type":"string"},"address":{"$ref":"#/components/schemas/PodAddressDto"},"timezone":{"type":"string"},"type":{"type":"string","enum":["PRIVATE","MULTI_TABLE","ROBOT"]},"status":{"type":"string","enum":["NOT_AVAILABLE","AVAILABLE","TEMPORARILY_CLOSED","COMING_SOON"]},"sport":{"type":"string","enum":["PICKLEBALL","TABLE_TENNIS","POOL","TENNIS","PADDLE","SQUASH","SOCCER","GOLF","RACING_SIMULATOR","CRICKET","BASEBALL","HOCKEY","PETS","CORN_HOLE","SWIMMING"]},"area":{"type":"object"},"tables":{"nullable":true,"allOf":[{"$ref":"#/components/schemas/TableCollectionDto"}]},"openTime":{"$ref":"#/components/schemas/TimeDto"},"closeTime":{"$ref":"#/components/schemas/TimeDto"},"closedTimeOverrides":{"nullable":true,"allOf":[{"$ref":"#/components/schemas/PodClosedTimeOverrideCollectionDto"}]},"guests":{"$ref":"#/components/schemas/PodGuestsDto"},"rates":{"type":"object"},"settings":{"$ref":"#/components/schemas/PodSettingsCollectionDto"},"errors":{"readOnly":true,"nullable":true,"type":"array","items":{"$ref":"#/components/schemas/ValidationErrorDto"}},"_links":{"type":"object"}},"required":["id","slug","displayName","displayNameShort","description","address","timezone","type","status","sport","area","tables","openTime","closeTime","closedTimeOverrides","guests","rates","settings","errors","_links"]},"PodAddressDto":{"type":"object","properties":{"street":{"type":"string"},"floor":{"type":"string"},"city":{"type":"string"},"zip":{"type":"string"},"displayName":{"type":"string"}},"required":["street","floor","city","zip","displayName"]},"TableCollectionDto":{"type":"object","properties":{"items":{"type":"array","items":{"$ref":"#/components/schemas/TableDto"}},"_total":{"type":"number"},"_links":{"$ref":"#/components/schemas/LinksDto"}},"required":["items","_total","_links"]},"TableDto":{"type":"object","properties":{"id":{"type":"string"},"slug":{"type":"string"},"displayName":{"type":"string"},"displayNameShort":{"type":"string"},"description":{"type":"string"},"type":{"type":"string","enum":["STANDARD","PREMIUM"]},"status":{"type":"string","enum":["AVAILABLE","NOT_AVAILABLE"]},"features":{"type":"array","items":{"type":"string","enum":["REPLAYS","QUICK_REPLAYS","CUSTOM_REPLAYS","ENHANCED_REPLAYS","SCOREBOARD","ROBOT","PRIVATE"]}},"pod":{"type":"object"},"settings":{"$ref":"#/components/schemas/CourtSettingsCollectionDto"},"errors":{"readOnly":true,"nullable":true,"type":"array","items":{"$ref":"#/components/schemas/ValidationErrorDto"}},"_links":{"type":"object"}},"required":["id","slug","displayName","displayNameShort","description","type","status","features","pod","settings","errors","_links"]},"CourtSettingsCollectionDto":{"type":"object","properties":{"items":{"type":"array","items":{"$ref":"#/components/schemas/CourtSettingDto"}},"_total":{"type":"number"},"_links":{"$ref":"#/components/schemas/LinksDto"}},"required":["items","_total","_links"]},"CourtSettingDto":{"type":"object","properties":{"id":{"type":"string","readOnly":true},"value":{"type":"object"}},"required":["id","value"]},"LinksDto":{"type":"object","properties":{"self":{"description":"A `LinkDto` to the resource itself","allOf":[{"$ref":"#/components/schemas/LinkDto"}]}},"required":["self"]},"LinkDto":{"type":"object","properties":{"href":{"type":"string","description":"A URL"}},"required":["href"]},"ValidationErrorDto":{"type":"object","properties":{"code":{"type":"string","readOnly":true},"message":{"type":"string","readOnly":true},"details":{"type":"object","readOnly":true,"nullable":true}},"required":["code","message","details"]},"TimeDto":{"type":"object","properties":{"hours":{"type":"number","minimum":0,"maximum":23},"minutes":{"type":"number","minimum":0,"maximum":59}},"required":["hours","minutes"]},"PodClosedTimeOverrideCollectionDto":{"type":"object","properties":{"items":{"type":"array","items":{"$ref":"#/components/schemas/PodClosedTimeOverrideDto"}},"_total":{"type":"number"},"_links":{"$ref":"#/components/schemas/LinksDto"}},"required":["items","_total","_links"]},"PodClosedTimeOverrideDto":{"type":"object","properties":{"id":{"type":"string","readOnly":true},"days":{"type":"array","items":{"type":"number","maximum":6,"minimum":0}},"from":{"$ref":"#/components/schemas/TimeDto"},"to":{"$ref":"#/components/schemas/TimeDto"}},"required":["id","days","from","to"]},"PodGuestsDto":{"type":"object","properties":{"private":{"$ref":"#/components/schemas/ExtraGuestsDto"},"coach":{"deprecated":true,"allOf":[{"$ref":"#/components/schemas/ExtraGuestsDto"}]}},"required":["private","coach"]},"ExtraGuestsDto":{"type":"object","properties":{"min":{"type":"string"},"max":{"type":"string"}},"required":["min","max"]},"PodSettingsCollectionDto":{"type":"object","properties":{"items":{"type":"array","items":{"$ref":"#/components/schemas/PodSettingDto"}},"_total":{"type":"number"},"_links":{"$ref":"#/components/schemas/LinksDto"}},"required":["items","_total","_links"]},"PodSettingDto":{"type":"object","properties":{"id":{"type":"string","readOnly":true},"value":{"type":"object"}},"required":["id","value"]},"AreaCoachAvailabilityCollectionDto":{"type":"object","properties":{"items":{"type":"array","items":{"$ref":"#/components/schemas/AreaCoachAvailabilityDto"}},"_total":{"type":"number"},"_links":{"$ref":"#/components/schemas/LinksDto"}},"required":["items","_total","_links"]},"AreaCoachAvailabilityDto":{"type":"object","properties":{"id":{"type":"string"},"status":{"type":"string","enum":["AVAILABLE","UNAVAILABLE_EXPIRED","UNAVAILABLE_NOTICE_CUSHION","UNAVAILABLE_SWITCH_CUSHION"]},"startTime":{"format":"date-time","type":"string"},"endTime":{"format":"date-time","type":"string"},"area":{"$ref":"#/components/schemas/ItemRefDto"},"coach":{"$ref":"#/components/schemas/CoachProfileDto"},"_links":{"type":"object"}},"required":["id","status","startTime","endTime","area","coach","_links"]},"ItemRefDto":{"type":"object","properties":{"id":{"type":"string","description":"The unique identifier of the resource"}},"required":["id"]},"CoachProfileDto":{"type":"object","properties":{"id":{"type":"string"},"user":{"$ref":"#/components/schemas/ItemRefDto"},"type":{"type":"string","enum":["REGULAR","GLOBAL_MEMBER","ANGEL_MEMBER","BASIC_MEMBER","AREA_MEMBER","COACH"],"readOnly":true},"membershipArea":{"deprecated":true,"allOf":[{"$ref":"#/components/schemas/ItemRefDto"}]},"firstName":{"type":"string","readOnly":true},"lastName":{"type":"string","readOnly":true},"gender":{"type":"string","readOnly":true},"birthday":{"format":"date-time","type":"string","readOnly":true},"initials":{"type":"string","readOnly":true},"description":{"type":"string"},"picture":{"type":"object","readOnly":true,"nullable":true},"usattRating":{"type":"number","readOnly":true,"nullable":true},"duprProfileUrl":{"type":"string","readOnly":true,"nullable":true},"memberSince":{"format":"date-time","type":"string","readOnly":true},"membershipSubscription":{"type":"object","nullable":true,"readOnly":true,"deprecated":true},"membershipEnrollment":{"type":"object","nullable":true,"readOnly":true},"kids":{"type":"object","nullable":true,"readOnly":true},"_links":{"type":"object"},"tier":{"type":"string","readOnly":true,"deprecated":true},"rate":{"type":"number","deprecated":true},"settings":{"nullable":true,"allOf":[{"$ref":"#/components/schemas/ItemRefDto"}]},"tierSettings":{"readOnly":true,"allOf":[{"$ref":"#/components/schemas/ItemRefDto"}]},"rateSettings":{"readOnly":true,"allOf":[{"$ref":"#/components/schemas/CoachRateDto"}]},"fullName":{"type":"string"},"students":{"$ref":"#/components/schemas/CollectionRefDto"},"slug":{"type":"string"},"coachType":{"type":"string","enum":["ROBOT","HUMAN"]}},"required":["id","user","type","description","memberSince","kids","_links","tier","rate","settings","tierSettings","rateSettings","fullName","students","slug","coachType"]},"CoachRateDto":{"type":"object","properties":{"guests":{"type":"number"},"hourlyRate":{"type":"number"}},"required":["guests","hourlyRate"]},"CollectionRefDto":{"type":"object","properties":{"_total":{"type":"number","description":"The total amount of elements in this collection"}}},"ImageDto":{"type":"object","properties":{"id":{"type":"string"},"small":{"$ref":"#/components/schemas/LinkDto"},"medium":{"$ref":"#/components/schemas/LinkDto"},"large":{"$ref":"#/components/schemas/LinkDto"},"_links":{"$ref":"#/components/schemas/LinksDto"}},"required":["id","small","medium","large","_links"]},"RegionDto":{"type":"object","properties":{"id":{"type":"string"},"slug":{"type":"string"},"displayName":{"type":"string"},"picture":{"$ref":"#/components/schemas/ItemRefDto"},"taxSettings":{"type":"array","items":{"type":"string"}},"settings":{"$ref":"#/components/schemas/RegionSettingsCollectionDto"},"errors":{"readOnly":true,"nullable":true,"type":"array","items":{"$ref":"#/components/schemas/ValidationErrorDto"}},"_links":{"type":"object"}},"required":["id","slug","displayName","taxSettings","settings","errors","_links"]},"RegionSettingsCollectionDto":{"type":"object","properties":{"items":{"type":"array","items":{"$ref":"#/components/schemas/RegionSettingDto"}},"_total":{"type":"number"},"_links":{"type":"object"}},"required":["items","_total","_links"]},"RegionSettingDto":{"type":"object","properties":{"id":{"type":"string","readOnly":true},"value":{"type":"object"}},"required":["id","value"]},"AreaSettingsCollectionDto":{"type":"object","properties":{"items":{"type":"array","items":{"$ref":"#/components/schemas/AreaSettingDto"}},"_total":{"type":"number"},"_links":{"$ref":"#/components/schemas/LinksDto"}},"required":["items","_total","_links"]},"AreaSettingDto":{"type":"object","properties":{"id":{"type":"string","readOnly":true,"enum":["area.timezone","area.onPremiseApiURL","area.onPremiseLocalApiURL","area.onPremiseReplaysEnabled","area.priority","area.stripeAccountId","area.pictureAssetId","area.duprClubId","area.taxSettings","area.membersInvitationCopy","area.membershipDefaultMinTenancyDays","area.membershipDefaultMinCancellationNoticeDaysMonthly","area.membershipDefaultMinCancellationNoticeDaysYearly","feature.showSpotsLeft","feature.allowCreditsForCoaching","area.membershipHeaderHtml","area.membershipBenefitsMarkdown"]},"value":{"type":"object"}},"required":["id","value"]},"ReplayPricingDto":{"type":"object","properties":{"quickReplay":{"$ref":"#/components/schemas/ReplayPricingQuickReplayDto"},"customReplay":{"$ref":"#/components/schemas/ReplayPricingCustomReplayDto"},"enhancedReplay":{"$ref":"#/components/schemas/ReplayPricingEnhancedReplayDto"}}},"ReplayPricingQuickReplayDto":{"type":"object","properties":{"enabled":{"type":"boolean","description":"Whether quick replays are enabled"},"lengthSeconds":{"type":"number","description":"Length in seconds"},"price":{"type":"number","description":"Price in dollars"},"initialFree":{"type":"number","description":"Number of initial free quick replays"}}},"ReplayPricingCustomReplayDto":{"type":"object","properties":{"enabled":{"type":"boolean","description":"Whether custom replays are enabled"},"minDurationSeconds":{"type":"number","description":"Minimum duration in seconds for custom replays"},"maxDurationSeconds":{"type":"number","description":"Maximum duration in seconds for custom replays"},"maxDaysToRequest":{"type":"number","description":"Number of days in the past users can request replays from"},"pricingIntervals":{"description":"Interval-based pricing. Each interval defines a price for a duration range. Takes precedence over pricePerMinute.","type":"array","items":{"$ref":"#/components/schemas/ReplayPricingIntervalDto"}},"pricePerMinute":{"type":"number","description":"Price per minute in dollars (legacy, used when pricingIntervals is not defined)"}}},"ReplayPricingIntervalDto":{"type":"object","properties":{"minDurationSeconds":{"type":"number","description":"Minimum duration in seconds (inclusive)"},"maxDurationSeconds":{"type":"number","description":"Maximum duration in seconds (exclusive). If null, applies to all durations above minDurationSeconds"},"price":{"type":"number","description":"Price in dollars for this interval"}},"required":["minDurationSeconds","price"]},"ReplayPricingEnhancedReplayDto":{"type":"object","properties":{"enabled":{"type":"boolean","description":"Whether enhanced replays are enabled"},"pricePerMinute":{"type":"number","description":"Price per minute in dollars for new enhanced replays"}}}}},"paths":{"/areas/{areaId}":{"patch":{"operationId":"AreasController_update","parameters":[{"name":"areaId","required":true,"in":"path","schema":{"type":"string"}}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/AreaDto"}}}},"responses":{"200":{"description":"Returns an `Area`","content":{"application/json":{"schema":{"$ref":"#/components/schemas/AreaDto"}}}},"422":{"description":"Returns an `ErrorDto` in case of validation errors or failures.<br/><br>Possible error codes are:<br>`A0002`: Priority must be greater or equal to zero.<br>`A0003`: Street must be set.<br>`A0004`: City must be set.<br>`A0005`: Borough must be set.<br>`A0006`: Latitude must be set.<br>`A0007`: Longitude must be set.<br>`A0008`: Display Name must be set.<br>`A0009`: Slug must be set.<br>`A0010`: Region must be set.<br>`A0011`: Display Name Short must be set.<br>`A0012`: Invalid slug format. Use lowercase and hyphens, e.g., \"this-is-an-example\".<br>`A0013`: Invalid Stripe Account ID. Must start with \"acct_\".<br>`A0014`: Invalid tax settings: {{validationErrors}}<br>`A0015`: An area liability waiver is required to make this location available. Please ensure the waiver is in place. To save your changes, set the location status to NOT AVAILABLE<br>`A0016`: A kids area liability waiver is required to make this location available. Please ensure the waiver is in place. To save your changes, set the location status to NOT AVAILABLE"}},"tags":["Areas"]}}}}
```

## GET /areas/{areaId}/settings

>

```json
{"openapi":"3.0.0","info":{"title":"PodPlay Inc API","version":"2.0"},"tags":[{"name":"Areas","description":"Specific locations within a region, such as buildings or outdoor sections."}],"servers":[{"url":"/apis/v2","description":"Current Server"}],"security":[{"bearer":[]}],"components":{"securitySchemes":{"bearer":{"scheme":"bearer","bearerFormat":"JWT","type":"http"}},"schemas":{"AreaSettingsCollectionDto":{"type":"object","properties":{"items":{"type":"array","items":{"$ref":"#/components/schemas/AreaSettingDto"}},"_total":{"type":"number"},"_links":{"$ref":"#/components/schemas/LinksDto"}},"required":["items","_total","_links"]},"AreaSettingDto":{"type":"object","properties":{"id":{"type":"string","readOnly":true,"enum":["area.timezone","area.onPremiseApiURL","area.onPremiseLocalApiURL","area.onPremiseReplaysEnabled","area.priority","area.stripeAccountId","area.pictureAssetId","area.duprClubId","area.taxSettings","area.membersInvitationCopy","area.membershipDefaultMinTenancyDays","area.membershipDefaultMinCancellationNoticeDaysMonthly","area.membershipDefaultMinCancellationNoticeDaysYearly","feature.showSpotsLeft","feature.allowCreditsForCoaching","area.membershipHeaderHtml","area.membershipBenefitsMarkdown"]},"value":{"type":"object"}},"required":["id","value"]},"LinksDto":{"type":"object","properties":{"self":{"description":"A `LinkDto` to the resource itself","allOf":[{"$ref":"#/components/schemas/LinkDto"}]}},"required":["self"]},"LinkDto":{"type":"object","properties":{"href":{"type":"string","description":"A URL"}},"required":["href"]}}},"paths":{"/areas/{areaId}/settings":{"get":{"operationId":"AreasController_findAreaSettings","parameters":[{"name":"areaId","required":true,"in":"path","schema":{"type":"string"}},{"name":"scope","required":false,"in":"query","explode":true,"schema":{"type":"array","items":{"type":"string"}}}],"responses":{"200":{"description":"Returns `AreaSettings`","content":{"application/json":{"schema":{"$ref":"#/components/schemas/AreaSettingsCollectionDto"}}}}},"tags":["Areas"]}}}}
```

## GET /areas/{areaId}/branding

> This endpoint is deprecated and will be removed in the future. Please use \`/areas/:areaId/settings?scope=branding\` instead.

```json
{"openapi":"3.0.0","info":{"title":"PodPlay Inc API","version":"2.0"},"tags":[{"name":"Areas","description":"Specific locations within a region, such as buildings or outdoor sections."}],"servers":[{"url":"/apis/v2","description":"Current Server"}],"security":[{"bearer":[]}],"components":{"securitySchemes":{"bearer":{"scheme":"bearer","bearerFormat":"JWT","type":"http"}},"schemas":{"AreaBrandingSettingsCollectionDto":{"type":"object","properties":{"items":{"type":"array","items":{"$ref":"#/components/schemas/AreaBrandingSettingDto"}},"_total":{"type":"number"},"_links":{"$ref":"#/components/schemas/LinksDto"}},"required":["items","_total","_links"]},"AreaBrandingSettingDto":{"type":"object","properties":{"id":{"type":"string","readOnly":true,"enum":["area.membershipHeaderHtml","area.membershipBenefitsMarkdown"]},"value":{"type":"object"}},"required":["id","value"]},"LinksDto":{"type":"object","properties":{"self":{"description":"A `LinkDto` to the resource itself","allOf":[{"$ref":"#/components/schemas/LinkDto"}]}},"required":["self"]},"LinkDto":{"type":"object","properties":{"href":{"type":"string","description":"A URL"}},"required":["href"]}}},"paths":{"/areas/{areaId}/branding":{"get":{"operationId":"AreasController_findAreaBrandingSettings","summary":"","deprecated":true,"description":"This endpoint is deprecated and will be removed in the future. Please use `/areas/:areaId/settings?scope=branding` instead.","parameters":[{"name":"areaId","required":true,"in":"path","schema":{"type":"string"}}],"responses":{"200":{"description":"Returns `AreaBrandingSettingsCollection`","content":{"application/json":{"schema":{"$ref":"#/components/schemas/AreaBrandingSettingsCollectionDto"}}}}},"tags":["Areas"]}}}}
```

## GET /areas/{areaId}/pods

>

```json
[...]
